import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Mask } from './mask.types';
export declare class HlcClrMaskComponent implements OnInit, ControlValueAccessor {
    value: string;
    placeholder: string;
    mask: Mask.MaskValue;
    unmask: Mask.UnmaskFun;
    valueChange: EventEmitter<string>;
    propagateChange: (_: any) => void;
    constructor();
    ngOnInit(): void;
    get textMask(): string | Mask.MaskOpts | (string | RegExp)[] | {
        mask: Mask.MaskValue;
        guide: boolean;
    };
    onChange($event: any): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
}
