import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DictMapper, DictMapperService } from '../list-items.config';
export declare class HlcClrMultiSelectComponent implements OnInit, OnInit, ControlValueAccessor {
    private readonly dictMapperService;
    items: any[];
    value: any[] | undefined;
    dictMapper: DictMapper | undefined;
    valueChange: EventEmitter<any[] | undefined>;
    propagateChange: (_: any) => void;
    constructor(dictMapperService: DictMapperService);
    ngOnInit(): void;
    onChange(val: any): void;
    isSelected(item: any): boolean;
    mapKey(obj: any): any;
    mapLabel(obj: any): any;
    trackBy: (_: any, obj: any) => any;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
}
