import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DictMapperService } from '../list-items.config';
export interface OptionsValues {
    items: any[];
    readonly?: boolean;
}
export declare const enum HlcClrOptionsViewType {
    Simple = "simple",
    Buttons = "buttons"
}
export declare class HlcClrOptionsComponent implements OnInit, ControlValueAccessor, OptionsValues {
    private readonly dictMapper;
    viewType: HlcClrOptionsViewType;
    items: any[];
    value: string | undefined;
    readonly: boolean;
    valueChange: EventEmitter<string | undefined>;
    propagateChange: (_: any) => void;
    constructor(dictMapper: DictMapperService);
    ngOnInit(): void;
    onChange(val: any): void;
    isChecked(item: any): boolean;
    mapKey(obj: any): any;
    mapLabel(obj: any): any;
    trackBy: (_: number, obj: any) => any;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
}
