import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DictMapperService, DictMapperSetterService } from '../list-items.config';
export declare class HlcClrPairsListComponent implements OnInit, ControlValueAccessor {
    private readonly dictMapper;
    private readonly dictMapperSetter;
    value: any[] | undefined;
    readonly: boolean;
    valueChange: EventEmitter<string[] | undefined>;
    propagateChange: (_: any) => void;
    constructor(dictMapper: DictMapperService, dictMapperSetter: DictMapperSetterService);
    ngOnInit(): void;
    onChangeKey(itemIndex: number, key: string): void;
    onChangeValue(itemIndex: number, label: string): void;
    onRemove(itemIndex: number): void;
    onAdd(): void;
    mapKey(obj: any): any;
    mapLabel(obj: any): any;
    trackBy: (i: number) => number;
    writeValue(obj: any[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
}
