import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PhoneConfig } from './phone.config';
export declare class HlcClrPhoneComponent implements OnInit, ControlValueAccessor {
    private codeJustFocused;
    private readonly config;
    value: any;
    placeholder: string | undefined;
    readonly: boolean | undefined;
    numberInput: ElementRef<any>;
    valueChange: EventEmitter<string>;
    propagateChange: (_: any) => void;
    constructor(config?: PhoneConfig);
    ngOnInit(): void;
    get useCodePart(): boolean;
    get countryPart(): string;
    get codePart(): string | undefined;
    get numberPart(): string;
    onCountryChange(val: string): void;
    onCodeChange(val: string): void;
    onNumberChange(val: string): void;
    onCodeFocus(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
    private onChange;
}
