(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/forms'), require('ramda'), require('@angular/common'), require('@clr/angular'), require('date-fns/esm/fp'), require('@angular/platform-browser'), require('property-watch-decorator'), require('@ng-holistic/typeahead'), require('rxjs'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('@ng-holistic/clr-controls', ['exports', '@angular/core', '@angular/forms', 'ramda', '@angular/common', '@clr/angular', 'date-fns/esm/fp', '@angular/platform-browser', 'property-watch-decorator', '@ng-holistic/typeahead', 'rxjs', 'rxjs/operators'], factory) :
    (global = global || self, factory((global['ng-holistic'] = global['ng-holistic'] || {}, global['ng-holistic']['clr-controls'] = {}), global.ng.core, global.ng.forms, global.ramda, global.ng.common, global.angular, global.fp, global.ng.platformBrowser, global.propertyWatchDecorator, global.typeahead, global.rxjs, global.rxjs.operators));
}(this, (function (exports, core, forms, ramda, common, angular, fp, platformBrowser, propertyWatchDecorator, typeahead, rxjs, operators) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var DictMapperService = /** @class */ (function () {
        function DictMapperService() {
        }
        DictMapperService.prototype.getKey = function (item) {
            return item['key'];
        };
        DictMapperService.prototype.getLabel = function (item) {
            return item['label'];
        };
        DictMapperService.ɵprov = core["ɵɵdefineInjectable"]({ factory: function DictMapperService_Factory() { return new DictMapperService(); }, token: DictMapperService, providedIn: "root" });
        DictMapperService = __decorate([
            core.Injectable({ providedIn: 'root' })
        ], DictMapperService);
        return DictMapperService;
    }());
    var DictMapperSetterService = /** @class */ (function () {
        function DictMapperSetterService() {
        }
        DictMapperSetterService.prototype.setKey = function (item, key) {
            // item['key'] = key;
            return ramda.assoc('key', key, item);
        };
        DictMapperSetterService.prototype.setLabel = function (item, label) {
            // item['label'] = label;
            // return item;
            return ramda.assoc('label', label, item);
        };
        DictMapperSetterService.ɵprov = core["ɵɵdefineInjectable"]({ factory: function DictMapperSetterService_Factory() { return new DictMapperSetterService(); }, token: DictMapperSetterService, providedIn: "root" });
        DictMapperSetterService = __decorate([
            core.Injectable({ providedIn: 'root' })
        ], DictMapperSetterService);
        return DictMapperSetterService;
    }());

    var HlcClrCheckboxesComponent = /** @class */ (function () {
        function HlcClrCheckboxesComponent(dictMapper) {
            var _this = this;
            this.dictMapper = dictMapper;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.trackBy = function (_, obj) {
                return _this.mapKey(obj);
            };
        }
        HlcClrCheckboxesComponent_1 = HlcClrCheckboxesComponent;
        HlcClrCheckboxesComponent.prototype.ngOnInit = function () { };
        HlcClrCheckboxesComponent.prototype.onChange = function (item) {
            var key = this.mapKey(item);
            var index = (this.value || []).indexOf(key);
            if (!this.value) {
                this.value = [];
            }
            if (index === -1) {
                this.value = ramda.insert(0, key, this.value);
            }
            else {
                this.value = ramda.remove(index, 1, this.value);
            }
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrCheckboxesComponent.prototype.isChecked = function (item) {
            var itemKey = this.mapKey(item);
            return this.value && ramda.contains(itemKey, this.value);
        };
        HlcClrCheckboxesComponent.prototype.mapKey = function (obj) {
            return this.dictMapper.getKey(obj);
        };
        HlcClrCheckboxesComponent.prototype.mapLabel = function (obj) {
            return this.dictMapper.getLabel(obj);
        };
        //
        HlcClrCheckboxesComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrCheckboxesComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrCheckboxesComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrCheckboxesComponent_1;
        HlcClrCheckboxesComponent.ctorParameters = function () { return [
            { type: DictMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], HlcClrCheckboxesComponent.prototype, "items", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrCheckboxesComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrCheckboxesComponent.prototype, "readonly", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrCheckboxesComponent.prototype, "valueChange", void 0);
        HlcClrCheckboxesComponent = HlcClrCheckboxesComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-checkboxes',
                template: "<clr-checkbox-wrapper *ngFor=\"let item of items; trackBy: trackBy; let index = index\">\r\n    <input\r\n        type=\"checkbox\"\r\n        clrCheckbox\r\n        [checked]=\"isChecked(item)\"\r\n        [value]=\"mapKey(item)\"\r\n        (change)=\"onChange(item)\"\r\n    />\r\n    <label>{{ mapLabel(item) }}</label>\r\n</clr-checkbox-wrapper>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrCheckboxesComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [DictMapperService])
        ], HlcClrCheckboxesComponent);
        return HlcClrCheckboxesComponent;
    }());

    var HlcClrCheckboxesModule = /** @class */ (function () {
        function HlcClrCheckboxesModule() {
        }
        HlcClrCheckboxesModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrCheckboxModule],
                declarations: [HlcClrCheckboxesComponent],
                exports: [HlcClrCheckboxesComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrCheckboxesModule);
        return HlcClrCheckboxesModule;
    }());

    var DATE_CONVERT_CONFIG = new core.InjectionToken('DATE_CONVERT_CONFIG');
    var parse = function (format) { return function (str) {
        if (!str) {
            return undefined;
        }
        return fp.parse(new Date(), format, str);
    }; };
    var ɵ0 = parse;
    var translateDateStr = function (parseStr, formatStr, str) {
        if (!str) {
            return undefined;
        }
        return ramda.pipe(parse(parseStr), function (x) { return x && fp.format(formatStr)(x); })(str);
    };
    var ɵ1 = translateDateStr;
    /**
     * Convert dates from controls formatted values to domain formatted strings
     * Input events value -> format to Date -> parse Date to domain formatted string
     */
    var DateConvertService = /** @class */ (function () {
        function DateConvertService(config) {
            this.config = config;
        }
        /**
         * Convert control's way formatted date string to date
         */
        DateConvertService.prototype.parseControlDate = function (controlValue) {
            return parse(this.domainFormatStr)(controlValue);
        };
        /**
         * Format date to string in control format
         */
        DateConvertService.prototype.formatToControlsStr = function (date) {
            if (!date) {
                return undefined;
            }
            return fp.format(this.controlsFormatStr, date);
        };
        /**
         * Convert domain's way formatted date string to date
         */
        DateConvertService.prototype.parseDomainDate = function (domainValue) {
            return parse(this.domainFormatStr)(domainValue);
        };
        /**
         * Format date to string in domain format
         */
        DateConvertService.prototype.formatToDomainStr = function (date) {
            if (!date) {
                return undefined;
            }
            return fp.format(this.domainFormatStr, date);
        };
        /**
         * Converts control date string to domain string
         */
        DateConvertService.prototype.convert = function (controlValue) {
            return translateDateStr(this.controlsFormatStr, this.domainFormatStr, controlValue);
        };
        /**
         * Converts domain string to control date string
         */
        DateConvertService.prototype.format = function (str) {
            return translateDateStr(this.domainFormatStr, this.controlsFormatStr, str);
        };
        Object.defineProperty(DateConvertService.prototype, "domainFormatStr", {
            get: function () {
                if (this.config && this.config.domainFormat) {
                    return this.config.domainFormat;
                }
                return 'yyyy-MM-dd\'T\'HH:mm:ss';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DateConvertService.prototype, "controlsFormatStr", {
            get: function () {
                if (this.config && this.config.controlsFormat) {
                    return this.config.controlsFormat;
                }
                // TODO: retrieve from ng locale
                return 'MM\/dd\/yyyy';
            },
            enumerable: true,
            configurable: true
        });
        DateConvertService.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DATE_CONVERT_CONFIG,] }] }
        ]; };
        DateConvertService.ɵprov = core["ɵɵdefineInjectable"]({ factory: function DateConvertService_Factory() { return new DateConvertService(core["ɵɵinject"](DATE_CONVERT_CONFIG, 8)); }, token: DateConvertService, providedIn: "root" });
        DateConvertService = __decorate([
            core.Injectable({ providedIn: 'root' }),
            __param(0, core.Optional()),
            __param(0, core.Inject(DATE_CONVERT_CONFIG)),
            __metadata("design:paramtypes", [Object])
        ], DateConvertService);
        return DateConvertService;
    }());

    var DATE_CONFIG = new core.InjectionToken('DATE_CONFIG');

    var HlcClrDateComponent = /** @class */ (function () {
        function HlcClrDateComponent(dateConvertService, dateConfig) {
            var _this = this;
            this.dateConvertService = dateConvertService;
            this.dateConfig = dateConfig;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.formatToDomainStr = function (date) { return _this.dateConvertService.formatToDomainStr(date); };
        }
        HlcClrDateComponent_1 = HlcClrDateComponent;
        Object.defineProperty(HlcClrDateComponent.prototype, "date", {
            get: function () {
                return this.value ? this.dateConvertService.parseDomainDate(this.value) : undefined;
            },
            set: function (val) {
                // control formatted val -> domain date
                this.value = !val
                    ? null
                    : ramda.pipe(
                    // if perviouse value not empty take hours + minutes from there
                    ramda.when(ramda.always(this.value), ramda.pipe(fp.setHours(fp.getHours(this.value)), fp.setMinutes(fp.getMinutes(this.value)))), this.formatToDomainStr)(val);
                this.onChange();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrDateComponent.prototype, "placeholder", {
            get: function () {
                return this.dateConfig && this.dateConfig.placeholder;
            },
            enumerable: true,
            configurable: true
        });
        HlcClrDateComponent.prototype.ngOnInit = function () { };
        HlcClrDateComponent.prototype.onReset = function () {
            this.value = undefined;
            this.onChange();
        };
        HlcClrDateComponent.prototype.onChange = function () {
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        //
        HlcClrDateComponent.prototype.writeValue = function (obj) {
            this.value = obj;
            if (!this.value) {
                this.resetValue();
            }
        };
        HlcClrDateComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrDateComponent.prototype.registerOnTouched = function (_) { };
        //
        HlcClrDateComponent.prototype.resetValue = function () {
            if (this.input) {
                this.input.nativeElement.value = '';
            }
        };
        var HlcClrDateComponent_1;
        HlcClrDateComponent.ctorParameters = function () { return [
            { type: DateConvertService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DATE_CONFIG,] }] }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDateComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDateComponent.prototype, "format", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrDateComponent.prototype, "readonly", void 0);
        __decorate([
            core.ViewChild('input', { static: false }),
            __metadata("design:type", core.ElementRef)
        ], HlcClrDateComponent.prototype, "input", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrDateComponent.prototype, "valueChange", void 0);
        HlcClrDateComponent = HlcClrDateComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-date',
                template: "<input\r\n    clrDate\r\n    [readonly]=\"readonly\"\r\n    [placeholder]=\"placeholder\"\r\n    #input\r\n    type=\"date\"\r\n    [(clrDate)]=\"date\">\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrDateComponent_1; }),
                        multi: true
                    }
                ],
                styles: [":host ::ng-deep readonly .datepicker-trigger-icon{display:none}:host ::ng-deep .clr-form-control{margin-top:0}"]
            }),
            __param(1, core.Optional()), __param(1, core.Inject(DATE_CONFIG)),
            __metadata("design:paramtypes", [DateConvertService, Object])
        ], HlcClrDateComponent);
        return HlcClrDateComponent;
    }());

    /**
     * Converts domain `range` values to component ones.
     * For example domain range type could be in following formats `[x,y]` or `{from: x, to: y}}
     * We need universal way to convert these values to / from - component / domain
     * By default used `{from, to}` format
     */
    var RangeMapperService = /** @class */ (function () {
        function RangeMapperService() {
        }
        RangeMapperService.prototype.getRange = function (item) {
            return [item['from'], item['to']];
        };
        RangeMapperService.prototype.setRange = function (val) {
            return { from: val[0], to: val[1] };
        };
        RangeMapperService.ɵprov = core["ɵɵdefineInjectable"]({ factory: function RangeMapperService_Factory() { return new RangeMapperService(); }, token: RangeMapperService, providedIn: "root" });
        RangeMapperService = __decorate([
            core.Injectable({ providedIn: 'root' })
        ], RangeMapperService);
        return RangeMapperService;
    }());

    var HlcClrDateRangeComponent = /** @class */ (function () {
        function HlcClrDateRangeComponent(rangeMapperService) {
            this.rangeMapperService = rangeMapperService;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
        }
        HlcClrDateRangeComponent_1 = HlcClrDateRangeComponent;
        HlcClrDateRangeComponent.prototype.ngOnInit = function () { };
        Object.defineProperty(HlcClrDateRangeComponent.prototype, "dateFrom", {
            get: function () {
                return this.value && this.rangeMapperService.getRange(this.value)[0];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrDateRangeComponent.prototype, "dateTo", {
            get: function () {
                return this.value && this.rangeMapperService.getRange(this.value)[1];
            },
            enumerable: true,
            configurable: true
        });
        HlcClrDateRangeComponent.prototype.onDateFromChange = function (val) {
            this.value = this.rangeMapperService.setRange([val, this.dateTo]);
            this.onChange();
        };
        HlcClrDateRangeComponent.prototype.onDateToChange = function (val) {
            this.value = this.rangeMapperService.setRange([this.dateFrom, val]);
            this.onChange();
        };
        HlcClrDateRangeComponent.prototype.onChange = function () {
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        //
        HlcClrDateRangeComponent.prototype.writeValue = function (obj) {
            this.value = obj;
            if (!this.value && this.dateComponents) {
                this.dateComponents.forEach(function (x) { return x.resetValue(); });
            }
        };
        HlcClrDateRangeComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrDateRangeComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrDateRangeComponent_1;
        HlcClrDateRangeComponent.ctorParameters = function () { return [
            { type: RangeMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDateRangeComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDateRangeComponent.prototype, "format", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrDateRangeComponent.prototype, "readonly", void 0);
        __decorate([
            core.ViewChildren(HlcClrDateComponent),
            __metadata("design:type", core.QueryList)
        ], HlcClrDateRangeComponent.prototype, "dateComponents", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrDateRangeComponent.prototype, "valueChange", void 0);
        HlcClrDateRangeComponent = HlcClrDateRangeComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-date-range',
                template: "<hlc-clr-date\r\n    class=\"date-component date-short-component\"\r\n    [value]=\"dateFrom\"\r\n    (valueChange)=\"onDateFromChange($event)\"\r\n    [format]=\"format\"\r\n    [readonly]=\"readonly\"\r\n>\r\n</hlc-clr-date>\r\n-\r\n<hlc-clr-date\r\n    class=\"date-component date-short-component\"\r\n    [value]=\"dateTo\"\r\n    (valueChange)=\"onDateToChange($event)\"\r\n    [format]=\"format\"\r\n    [readonly]=\"readonly\"\r\n>\r\n</hlc-clr-date>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrDateRangeComponent_1; }),
                        multi: true
                    }
                ],
                styles: [".date-component{display:inline-table}::ng-deep .date-short-component .date-input{width:120px}"]
            }),
            __metadata("design:paramtypes", [RangeMapperService])
        ], HlcClrDateRangeComponent);
        return HlcClrDateRangeComponent;
    }());

    var HlcClrDateModule = /** @class */ (function () {
        function HlcClrDateModule() {
        }
        HlcClrDateModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrDatepickerModule, angular.ClrIconModule],
                declarations: [HlcClrDateComponent],
                exports: [HlcClrDateComponent],
                providers: [DateConvertService],
                entryComponents: [HlcClrDateComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrDateModule);
        return HlcClrDateModule;
    }());

    var HlcClrDateRangeModule = /** @class */ (function () {
        function HlcClrDateRangeModule() {
        }
        HlcClrDateRangeModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, HlcClrDateModule],
                declarations: [HlcClrDateRangeComponent],
                exports: [HlcClrDateRangeComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrDateRangeModule);
        return HlcClrDateRangeModule;
    }());

    var HlcClrDateTimeComponent = /** @class */ (function () {
        function HlcClrDateTimeComponent(dateConvertService, dateConfig) {
            var _this = this;
            this.dateConvertService = dateConvertService;
            this.dateConfig = dateConfig;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            //
            this.formatToDomainStr = function (date) { return _this.dateConvertService.formatToDomainStr(date); };
            this.hours = Array.from({ length: 24 }, function (_, i) { return ({
                key: i,
                label: i.toString().padStart(2, '0')
            }); });
            this.minutes = Array.from({ length: 60 }, function (_, i) { return ({
                key: i,
                label: i.toString().padStart(2, '0')
            }); });
        }
        HlcClrDateTimeComponent_1 = HlcClrDateTimeComponent;
        Object.defineProperty(HlcClrDateTimeComponent.prototype, "dictMapper", {
            get: function () {
                return new DictMapperService();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrDateTimeComponent.prototype, "date", {
            get: function () {
                return this.dateConvertService.parseDomainDate(this.value);
            },
            set: function (val) {
                // control formatted val -> domain date
                this.value = !val
                    ? null
                    : ramda.pipe(
                    // if pervious value not empty take hours + minutes from there
                    ramda.when(ramda.always(this.value), ramda.pipe(fp.setHours(fp.getHours(this.value)), fp.setMinutes(fp.getMinutes(this.value)))), this.formatToDomainStr)(val);
                this.onChange();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrDateTimeComponent.prototype, "placeholder", {
            get: function () {
                return this.dateConfig && this.dateConfig.placeholder;
            },
            enumerable: true,
            configurable: true
        });
        HlcClrDateTimeComponent.prototype.ngOnInit = function () { };
        HlcClrDateTimeComponent.prototype.onChange = function () {
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        //
        HlcClrDateTimeComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrDateTimeComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrDateTimeComponent.prototype.registerOnTouched = function (_) { };
        Object.defineProperty(HlcClrDateTimeComponent.prototype, "hour", {
            //
            get: function () {
                return this.date ? fp.getHours(this.date) : undefined;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrDateTimeComponent.prototype, "minute", {
            get: function () {
                return this.date ? fp.getMinutes(this.date) : undefined;
            },
            enumerable: true,
            configurable: true
        });
        HlcClrDateTimeComponent.prototype.onHourChange = function (hour) {
            this.value = ramda.pipe(fp.setHours(hour), 
            // reset minutes if value still not defined
            ramda.when(ramda.always(!this.value), fp.setMinutes(0)), this.formatToDomainStr)(this.date || new Date());
            this.onChange();
        };
        HlcClrDateTimeComponent.prototype.onMinuteChange = function (min) {
            this.value = ramda.pipe(fp.setMinutes(min), 
            // reset hours if value still not defined
            ramda.when(ramda.always(!this.value), fp.setHours(0)), this.formatToDomainStr)(this.date || new Date());
            this.onChange();
        };
        var HlcClrDateTimeComponent_1;
        HlcClrDateTimeComponent.ctorParameters = function () { return [
            { type: DateConvertService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DATE_CONFIG,] }] }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDateTimeComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDateTimeComponent.prototype, "format", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrDateTimeComponent.prototype, "readonly", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrDateTimeComponent.prototype, "valueChange", void 0);
        HlcClrDateTimeComponent = HlcClrDateTimeComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-date-time',
                template: "<input [readonly]=\"readonly\" [placeholder]=\"placeholder\" #input type=\"date\" [(clrDate)]=\"date\" />\r\n\r\n<div class=\"time-container\">\r\n    <hlc-clr-select\r\n        [disallowEmpty]=\"true\"\r\n        [items]=\"hours\"\r\n        [value]=\"hour\"\r\n        [dictMapper]=\"dictMapper\"\r\n        (valueChange)=\"onHourChange($event)\"\r\n    ></hlc-clr-select>\r\n\r\n    <hlc-clr-select\r\n        [disallowEmpty]=\"true\"\r\n        [items]=\"minutes\"\r\n        [value]=\"minute\"\r\n        [dictMapper]=\"dictMapper\"\r\n        (valueChange)=\"onMinuteChange($event)\"\r\n    ></hlc-clr-select>\r\n</div>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrDateTimeComponent_1; }),
                        multi: true
                    }
                ],
                styles: [":host{display:flex}:host ::ng-deep .clr-form-control{margin-top:0}:host ::ng-deep readonly .datepicker-trigger-icon{display:none}.remove__icon{margin-top:10px;margin-left:5px}.hlc-clr-input{width:120px}"]
            }),
            __param(1, core.Optional()), __param(1, core.Inject(DATE_CONFIG)),
            __metadata("design:paramtypes", [DateConvertService, Object])
        ], HlcClrDateTimeComponent);
        return HlcClrDateTimeComponent;
    }());

    var HlcClrSelectComponent = /** @class */ (function () {
        function HlcClrSelectComponent(dictMapperService) {
            var _this = this;
            this.dictMapperService = dictMapperService;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.trackBy = function (_, obj) {
                return _this.mapKey(obj);
            };
        }
        HlcClrSelectComponent_1 = HlcClrSelectComponent;
        Object.defineProperty(HlcClrSelectComponent.prototype, "items", {
            get: function () {
                return this._items;
            },
            set: function (items) {
                this._items = items;
                if (!ramda.isNil(this._tmpValue)) {
                    this.setValue(this._tmpValue);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrSelectComponent.prototype, "value", {
            get: function () {
                return this._tmpValue || this._value;
            },
            set: function (val) {
                this.setValue(val);
            },
            enumerable: true,
            configurable: true
        });
        HlcClrSelectComponent.prototype.ngOnInit = function () { };
        HlcClrSelectComponent.prototype.onChange = function (val) {
            /**
             * Option change event always give string as an option value, event if value actually was other object type,
             * this is wrong obviously when key is number.
             * So use selectedIndex instead of val.target.value
             */
            var selectedIndex = val.target.selectedIndex - (this.disallowEmpty ? 0 : 1);
            this.value = selectedIndex === -1 ? null : this.mapKey((this.items || [])[selectedIndex]);
            this.propagateChange(this.value);
            this.valueChange.emit(this.value);
        };
        HlcClrSelectComponent.prototype.mapKey = function (obj) {
            return (this.dictMapper || this.dictMapperService).getKey(obj);
        };
        HlcClrSelectComponent.prototype.mapLabel = function (obj) {
            return (this.dictMapper || this.dictMapperService).getLabel(obj);
        };
        HlcClrSelectComponent.prototype.setValue = function (val) {
            var _this = this;
            if (ramda.isNil(val)) {
                this._tmpValue = null;
                this._value = null;
                return;
            }
            var hasItem = (this.items || []).some(function (i) { return _this.mapKey(i) === val; });
            if (hasItem) {
                this._tmpValue = null;
                this._value = val;
            }
            else {
                this._tmpValue = val;
                this._value = null;
            }
        };
        //
        HlcClrSelectComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrSelectComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrSelectComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrSelectComponent_1;
        HlcClrSelectComponent.ctorParameters = function () { return [
            { type: DictMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], HlcClrSelectComponent.prototype, "items", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], HlcClrSelectComponent.prototype, "value", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrSelectComponent.prototype, "naked", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrSelectComponent.prototype, "disallowEmpty", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrSelectComponent.prototype, "readonly", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrSelectComponent.prototype, "dictMapper", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrSelectComponent.prototype, "valueChange", void 0);
        HlcClrSelectComponent = HlcClrSelectComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-select',
                template: "<span [class.clr-select-wrapper]=\"!naked\">\r\n    <select\r\n        class=\"hlc-clr-input\"\r\n        [disabled]=\"readonly\"\r\n        (change)=\"onChange($event)\"\r\n        [value]=\"_value\">\r\n        <option\r\n            *ngIf=\"!disallowEmpty\"\r\n            [attr.value]=\"null\"></option>\r\n\r\n        <option\r\n            *ngFor=\"let item of items; trackBy: trackBy\"\r\n            [value]=\"mapKey(item)\" [attr.data]=\"item\">\r\n            {{mapLabel(item)}}\r\n        </option>\r\n    </select>\r\n</span>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrSelectComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [DictMapperService])
        ], HlcClrSelectComponent);
        return HlcClrSelectComponent;
    }());

    var HlcClrSelectModule = /** @class */ (function () {
        function HlcClrSelectModule() {
        }
        HlcClrSelectModule = __decorate([
            core.NgModule({
                imports: [platformBrowser.BrowserModule, angular.ClrIconModule, angular.ClrDropdownModule, forms.ReactiveFormsModule],
                declarations: [HlcClrSelectComponent],
                exports: [HlcClrSelectComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrSelectModule);
        return HlcClrSelectModule;
    }());

    var HlcClrDateTimeModule = /** @class */ (function () {
        function HlcClrDateTimeModule() {
        }
        HlcClrDateTimeModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrDatepickerModule, angular.ClrIconModule, HlcClrSelectModule],
                declarations: [HlcClrDateTimeComponent],
                exports: [HlcClrDateTimeComponent],
                providers: [DateConvertService]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrDateTimeModule);
        return HlcClrDateTimeModule;
    }());

    var HlcClrDisplayComponent = /** @class */ (function () {
        function HlcClrDisplayComponent() {
            this.iconClick = new core.EventEmitter();
        }
        HlcClrDisplayComponent_1 = HlcClrDisplayComponent;
        //
        HlcClrDisplayComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrDisplayComponent.prototype.registerOnChange = function (_) { };
        HlcClrDisplayComponent.prototype.registerOnTouched = function (_) { };
        Object.defineProperty(HlcClrDisplayComponent.prototype, "formattedValue", {
            get: function () {
                return this.format ? this.format(this.value) : this.value;
            },
            enumerable: true,
            configurable: true
        });
        var HlcClrDisplayComponent_1;
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrDisplayComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Function)
        ], HlcClrDisplayComponent.prototype, "format", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrDisplayComponent.prototype, "icon", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrDisplayComponent.prototype, "iconTooltipText", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrDisplayComponent.prototype, "iconClick", void 0);
        HlcClrDisplayComponent = HlcClrDisplayComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-display',
                template: "{{ formattedValue }}\r\n\r\n<clr-tooltip *ngIf=\"iconTooltipText && icon\">\r\n    <button\r\n        clrTooltipTrigger\r\n        class=\"btn btn-link btn-icon btn-sm\"\r\n        type=\"Button\"\r\n        style=\"margin: initial\"\r\n        (click)=\"iconClick.emit(value)\"\r\n    >\r\n        <clr-icon [attr.shape]=\"icon\"></clr-icon>\r\n    </button>\r\n    <clr-tooltip-content clrPosition=\"top-right\" clrSize=\"sm\" *clrIfOpen> <span>Edit</span> </clr-tooltip-content>\r\n</clr-tooltip>\r\n\r\n<button\r\n    *ngIf=\"!iconTooltipText && icon\"\r\n    class=\"btn btn-link btn-icon btn-sm\"\r\n    type=\"Button\"\r\n    style=\"margin: initial\"\r\n    (click)=\"iconClick.emit()\"\r\n>\r\n    <clr-icon [attr.shape]=\"icon\"></clr-icon>\r\n</button>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrDisplayComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            })
        ], HlcClrDisplayComponent);
        return HlcClrDisplayComponent;
    }());

    var HlcClrDisplayModule = /** @class */ (function () {
        function HlcClrDisplayModule() {
        }
        HlcClrDisplayModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrIconModule, angular.ClrTooltipModule],
                declarations: [HlcClrDisplayComponent],
                exports: [HlcClrDisplayComponent]
            })
        ], HlcClrDisplayModule);
        return HlcClrDisplayModule;
    }());

    var HlcClrMaskComponent = /** @class */ (function () {
        function HlcClrMaskComponent() {
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
        }
        HlcClrMaskComponent_1 = HlcClrMaskComponent;
        HlcClrMaskComponent.prototype.ngOnInit = function () { };
        Object.defineProperty(HlcClrMaskComponent.prototype, "textMask", {
            get: function () {
                // mask could be set in 2 formats: one full defined mask options and another just mask template string
                // convert all of them to full format here
                return this.mask && (this.mask['mask'] ? this.mask : { mask: this.mask, guide: false });
            },
            enumerable: true,
            configurable: true
        });
        HlcClrMaskComponent.prototype.onChange = function ($event) {
            if (($event.target.value || '') === (this.value || '')) {
                return;
            }
            this.value = $event.target.value;
            var val = this.unmask ? this.unmask(this.value) : this.value;
            this.propagateChange(val);
            this.valueChange.emit(val);
        };
        //
        HlcClrMaskComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrMaskComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrMaskComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrMaskComponent_1;
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrMaskComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrMaskComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrMaskComponent.prototype, "mask", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrMaskComponent.prototype, "unmask", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrMaskComponent.prototype, "valueChange", void 0);
        HlcClrMaskComponent = HlcClrMaskComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-mask',
                template: "<input\r\n    class=\"clr-input\"\r\n    [placeholder]=\"placeholder || ''\"\r\n    [mask]=\"mask\"\r\n    [value]=\"value || ''\"\r\n    (keyup)=\"onChange($event)\"\r\n    type=\"text\">\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrMaskComponent_1; }),
                        multi: true,
                    },
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrMaskComponent);
        return HlcClrMaskComponent;
    }());

    var config = new core.InjectionToken('config');
    var NEW_CONFIG = new core.InjectionToken('NEW_CONFIG');
    var INITIAL_CONFIG = new core.InjectionToken('INITIAL_CONFIG');
    var initialConfig = {
        sufix: '',
        prefix: '',
        clearIfNotMatch: false,
        showTemplate: false,
        showMaskTyped: false,
        dropSpecialCharacters: true,
        specialCharacters: ['/', '(', ')', '.', ':', '-', ' ', '+', ',', '@', '[', ']', '\"', '\''],
        patterns: {
            '0': {
                pattern: new RegExp('\\d'),
            },
            '9': {
                pattern: new RegExp('\\d'),
                optional: true
            },
            'A': {
                pattern: new RegExp('\[a-zA-Z0-9\]')
            },
            'S': {
                pattern: new RegExp('\[a-zA-Z\]')
            },
            'd': {
                pattern: new RegExp('\\d'),
            },
            'm': {
                pattern: new RegExp('\\d'),
            },
        }
    };

    // tslint:disable
    var MaskApplierService = /** @class */ (function () {
        function MaskApplierService(_config) {
            this._config = _config;
            this.maskExpression = '';
            this._shift = new Set();
            this.maskSpecialCharacters = this._config.specialCharacters;
            this.maskAvailablePatterns = this._config.patterns;
            this.clearIfNotMatch = this._config.clearIfNotMatch;
            this.dropSpecialCharacters = this._config.dropSpecialCharacters;
            this.maskSpecialCharacters = this._config.specialCharacters;
            this.maskAvailablePatterns = this._config.patterns;
            this.prefix = this._config.prefix;
            this.sufix = this._config.sufix;
        }
        // tslint:disable-next-line:no-any
        MaskApplierService.prototype.applyMaskWithPattern = function (inputValue, maskAndPattern) {
            var _a = __read(maskAndPattern, 2), mask = _a[0], customPattern = _a[1];
            this.customPattern = customPattern;
            return this.applyMask(inputValue, mask);
        };
        MaskApplierService.prototype.applyMask = function (inputValue, maskExpression, position, cb) {
            if (position === void 0) { position = 0; }
            if (cb === void 0) { cb = function () { }; }
            if (inputValue === undefined || inputValue === null || maskExpression === undefined) {
                return '';
            }
            var cursor = 0;
            var result = "";
            var multi = false;
            if (inputValue.slice(0, this.prefix.length) === this.prefix) {
                inputValue = inputValue.slice(this.prefix.length, inputValue.length);
            }
            var inputArray = inputValue.toString()
                .split('');
            // tslint:disable-next-line
            for (var i = 0, inputSymbol = inputArray[0]; i
                < inputArray.length; i++, inputSymbol = inputArray[i]) {
                if (cursor === maskExpression.length) {
                    break;
                }
                if (this._checkSymbolMask(inputSymbol, maskExpression[cursor]) && maskExpression[cursor + 1] === '?') {
                    result += inputSymbol;
                    cursor += 2;
                }
                else if (maskExpression[cursor + 1] === '*' && multi
                    && this._checkSymbolMask(inputSymbol, maskExpression[cursor + 2])) {
                    result += inputSymbol;
                    cursor += 3;
                    multi = false;
                }
                else if (this._checkSymbolMask(inputSymbol, maskExpression[cursor])
                    && maskExpression[cursor + 1]
                        === '*') {
                    result += inputSymbol;
                    multi = true;
                }
                else if (maskExpression[cursor + 1] === '?' && this._checkSymbolMask(inputSymbol, maskExpression[cursor + 2])) {
                    result += inputSymbol;
                    cursor += 3;
                }
                else if (this._checkSymbolMask(inputSymbol, maskExpression[cursor])) {
                    if (maskExpression[cursor] === 'd') {
                        if (Number(inputSymbol) > 3) {
                            result += 0;
                            cursor += 1;
                            var shiftStep = /\*|\?/g.test(maskExpression.slice(0, cursor))
                                ? inputArray.length
                                : cursor;
                            this._shift.add(shiftStep + this.prefix.length || 0);
                            i--;
                            continue;
                        }
                    }
                    if (maskExpression[cursor - 1] === 'd') {
                        if (Number(inputValue.slice(cursor - 1, cursor + 1)) > 31) {
                            continue;
                        }
                    }
                    if (maskExpression[cursor] === 'm') {
                        if (Number(inputSymbol) > 1) {
                            result += 0;
                            cursor += 1;
                            var shiftStep = /\*|\?/g.test(maskExpression.slice(0, cursor))
                                ? inputArray.length
                                : cursor;
                            this._shift.add(shiftStep + this.prefix.length || 0);
                            i--;
                            continue;
                        }
                    }
                    if (maskExpression[cursor - 1] === 'm') {
                        if (Number(inputValue.slice(cursor - 1, cursor + 1)) > 12) {
                            continue;
                        }
                    }
                    result += inputSymbol;
                    cursor++;
                }
                else if (this.maskSpecialCharacters.indexOf(maskExpression[cursor]) !== -1) {
                    result += maskExpression[cursor];
                    cursor++;
                    var shiftStep = /\*|\?/g.test(maskExpression.slice(0, cursor))
                        ? inputArray.length
                        : cursor;
                    this._shift.add(shiftStep + this.prefix.length || 0);
                    i--;
                }
                else if (this.maskSpecialCharacters.indexOf(inputSymbol) > -1
                    && this.maskAvailablePatterns[maskExpression[cursor]]
                    && this.maskAvailablePatterns[maskExpression[cursor]].optional) {
                    cursor++;
                    i--;
                }
                else if ((this.maskExpression[cursor + 1] === '*')
                    && (this._findSpecialChar(this.maskExpression[cursor + 2]))
                    && (this._findSpecialChar(inputSymbol) === this.maskExpression[cursor + 2])) {
                    cursor += 3;
                    result += inputSymbol;
                }
            }
            if (result.length + 1 === maskExpression.length
                && this.maskSpecialCharacters.indexOf(maskExpression[maskExpression.length - 1]) !== -1) {
                result += maskExpression[maskExpression.length - 1];
            }
            var shift = 1;
            var newPosition = position + 1;
            while (this._shift.has(newPosition)) {
                shift++;
                newPosition++;
            }
            cb(this._shift.has(position) ? shift : 0);
            var res = "" + this.prefix + result;
            res = this.sufix &&
                cursor === maskExpression.length
                ? "" + this.prefix + result + this.sufix
                : "" + this.prefix + result;
            return res;
        };
        MaskApplierService.prototype._findSpecialChar = function (inputSymbol) {
            var symbol = this.maskSpecialCharacters
                .find(function (val) { return val === inputSymbol; });
            return symbol;
        };
        MaskApplierService.prototype._checkSymbolMask = function (inputSymbol, maskSymbol) {
            this.maskAvailablePatterns = this.customPattern
                ? this.customPattern
                : this.maskAvailablePatterns;
            return this.maskAvailablePatterns[maskSymbol]
                && this.maskAvailablePatterns[maskSymbol].pattern
                && this.maskAvailablePatterns[maskSymbol].pattern.test(inputSymbol);
        };
        MaskApplierService.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [config,] }] }
        ]; };
        MaskApplierService = __decorate([
            core.Injectable(),
            __param(0, core.Inject(config)),
            __metadata("design:paramtypes", [Object])
        ], MaskApplierService);
        return MaskApplierService;
    }());

    // tslint:disable
    var MaskService = /** @class */ (function (_super) {
        __extends(MaskService, _super);
        function MaskService(
        // tslint:disable-next-line
        document, _config, _elementRef, _renderer) {
            var _this = _super.call(this, _config) || this;
            _this.document = document;
            _this._config = _config;
            _this._elementRef = _elementRef;
            _this._renderer = _renderer;
            _this.maskExpression = '';
            _this.isNumberValue = false;
            _this.showMaskTyped = false;
            _this.maskIsShown = '';
            // tslint:disable-next-line
            _this.onChange = function (_) { };
            _this.onTouch = function () { };
            _this._formElement = _this._elementRef.nativeElement;
            return _this;
        }
        MaskService.prototype.applyMask = function (inputValue, maskExpression, position, cb) {
            if (position === void 0) { position = 0; }
            if (cb === void 0) { cb = function () { }; }
            this.maskIsShown = this.showMaskTyped
                ? this.maskExpression.replace(/[0-9]/g, '_')
                : '';
            if (!inputValue && this.showMaskTyped) {
                return this.prefix + this.maskIsShown;
            }
            var result = _super.prototype.applyMask.call(this, inputValue, maskExpression, position, cb);
            Array.isArray(this.dropSpecialCharacters)
                ? this.onChange(this._removeMask(this._removeSufix(this._removePrefix(result)), this.dropSpecialCharacters))
                : this.dropSpecialCharacters === true
                    ? this.onChange(this.isNumberValue
                        ? Number(this._removeMask(this._removeSufix(this._removePrefix(result)), this.maskSpecialCharacters))
                        : this._removeMask(this._removeSufix(this._removePrefix(result)), this.maskSpecialCharacters))
                    : this.onChange(this._removeSufix(this._removePrefix(result)));
            var ifMaskIsShown = '';
            if (!this.showMaskTyped) {
                return result;
            }
            var resLen = result.length;
            var prefNmask = this.prefix + this.maskIsShown;
            ifMaskIsShown = prefNmask.slice(resLen);
            return result + ifMaskIsShown;
        };
        MaskService.prototype.applyValueChanges = function (position, cb) {
            if (position === void 0) { position = 0; }
            if (cb === void 0) { cb = function () { }; }
            var maskedInput = this.applyMask(this._formElement.value, this.maskExpression, position, cb);
            this._formElement.value = maskedInput;
            if (this._formElement === this.document.activeElement) {
                return;
            }
            this.clearIfNotMatchFn();
        };
        MaskService.prototype.showMaskInInput = function () {
            if (this.showMaskTyped) {
                this.maskIsShown = this.maskExpression.replace(/[0-9]/g, '_');
            }
        };
        MaskService.prototype.clearIfNotMatchFn = function () {
            if (this.clearIfNotMatch === true &&
                this.maskExpression.length !== this._formElement.value.length) {
                this.formElementProperty = ['value', ''];
                this.applyMask(this._formElement.value, this.maskExpression);
            }
        };
        Object.defineProperty(MaskService.prototype, "formElementProperty", {
            set: function (_a) {
                var _b = __read(_a, 2), name = _b[0], value = _b[1];
                this._renderer.setProperty(this._formElement, name, value);
            },
            enumerable: true,
            configurable: true
        });
        MaskService.prototype._removeMask = function (value, specialCharactersForRemove) {
            return value
                ? value.replace(this._regExpForRemove(specialCharactersForRemove), '')
                : value;
        };
        MaskService.prototype._removePrefix = function (value) {
            if (!this.prefix) {
                return value;
            }
            return value
                ? value.replace(this.prefix, '')
                : value;
        };
        MaskService.prototype._removeSufix = function (value) {
            if (!this.sufix) {
                return value;
            }
            return value
                ? value.replace(this.sufix, '')
                : value;
        };
        MaskService.prototype._regExpForRemove = function (specialCharactersForRemove) {
            return new RegExp(specialCharactersForRemove.map(function (item) { return "\\" + item; }).join('|'), 'gi');
        };
        MaskService.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: undefined, decorators: [{ type: core.Inject, args: [config,] }] },
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        MaskService.ɵprov = core["ɵɵdefineInjectable"]({ factory: function MaskService_Factory() { return new MaskService(core["ɵɵinject"](common.DOCUMENT), core["ɵɵinject"](config), core["ɵɵinject"](core.ElementRef), core["ɵɵinject"](core.Renderer2)); }, token: MaskService, providedIn: "root" });
        MaskService = __decorate([
            core.Injectable({ providedIn: 'root' }),
            __param(0, core.Inject(common.DOCUMENT)),
            __param(1, core.Inject(config)),
            __metadata("design:paramtypes", [Object, Object, core.ElementRef,
                core.Renderer2])
        ], MaskService);
        return MaskService;
    }(MaskApplierService));

    // tslint:disable
    var MaskDirective = /** @class */ (function () {
        function MaskDirective(
        // tslint:disable-next-line
        document, _maskService) {
            this.document = document;
            this._maskService = _maskService;
            this._position = null;
            // tslint:disable-next-line
            this.onChange = function (_) { };
            this.onTouch = function () { };
        }
        MaskDirective_1 = MaskDirective;
        Object.defineProperty(MaskDirective.prototype, "maskExpression", {
            set: function (value) {
                this._maskValue = value || '';
                if (!this._maskValue) {
                    return;
                }
                this._maskService.maskExpression = this._repeatPatternSymbols(this._maskValue);
                this._maskService.formElementProperty = [
                    'value',
                    this._maskService.applyMask(this._inputValue, this._maskService.maskExpression)
                ];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "specialCharacters", {
            set: function (value) {
                if (!value ||
                    !Array.isArray(value) ||
                    (Array.isArray(value) && !value.length)) {
                    return;
                }
                this._maskService.maskSpecialCharacters = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "patterns", {
            set: function (value) {
                if (!value) {
                    return;
                }
                this._maskService.maskAvailablePatterns = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "prefix", {
            set: function (value) {
                if (!value) {
                    return;
                }
                this._maskService.prefix = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "sufix", {
            set: function (value) {
                if (!value) {
                    return;
                }
                this._maskService.sufix = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "dropSpecialCharacters", {
            set: function (value) {
                this._maskService.dropSpecialCharacters = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "showMaskTyped", {
            set: function (value) {
                if (!value) {
                    return;
                }
                this._maskService.showMaskTyped = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "showTemplate", {
            set: function (value) {
                this._maskService.showTemplate = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MaskDirective.prototype, "clearIfNotMatch", {
            set: function (value) {
                this._maskService.clearIfNotMatch = value;
            },
            enumerable: true,
            configurable: true
        });
        MaskDirective.prototype.onInput = function (e) {
            var el = e.target;
            this._inputValue = el.value;
            if (!this._maskValue) {
                this.onChange(el.value);
                return;
            }
            var position = el.selectionStart === 1
                ? el.selectionStart + this._maskService.prefix.length
                : el.selectionStart;
            var caretShift = 0;
            this._maskService.applyValueChanges(position, function (shift) { return (caretShift = shift); });
            // only set the selection if the element is active
            if (this.document.activeElement !== el) {
                return;
            }
            el.selectionStart = el.selectionEnd =
                this._position !== null
                    ? this._position
                    : position +
                        // tslint:disable-next-line
                        (e.inputType === 'deleteContentBackward' ? 0 : caretShift);
            this._position = null;
        };
        MaskDirective.prototype.onBlur = function () {
            this._maskService.clearIfNotMatchFn();
            this.onTouch();
        };
        MaskDirective.prototype.onFocus = function (e) {
            var el = e.target;
            if (el !== null && el.selectionStart !== null &&
                el.selectionStart === el.selectionEnd &&
                el.selectionStart > this._maskService.prefix.length &&
                // tslint:disable-next-line
                e.keyCode !== 38) {
                return;
            }
            if (this._maskService.showMaskTyped) {
                this._maskService.maskIsShown = this._maskService.maskExpression.replace(/[0-9]/g, '_');
            }
            el.value = !el.value || el.value === this._maskService.prefix
                ? this._maskService.prefix + this._maskService.maskIsShown
                : el.value;
            /** fix of cursor position with prefix when mouse click occur */
            if ((el.selectionStart || el.selectionEnd) <= this._maskService.prefix.length) {
                el.selectionStart = this._maskService.prefix.length;
                return;
            }
        };
        MaskDirective.prototype.a = function (e) {
            var el = e.target;
            if (e.keyCode === 38) {
                e.preventDefault();
            }
            if (e.keyCode === 37 || e.keyCode === 8) {
                if (el.selectionStart <= this._maskService.prefix.length
                    && el.selectionEnd <= this._maskService.prefix.length) {
                    e.preventDefault();
                }
                this.onFocus(e);
                if (e.keyCode === 8
                    && el.selectionStart === 0
                    && el.selectionEnd === el.value.length) {
                    el.value = this._maskService.prefix;
                    this._position = this._maskService.prefix ? this._maskService.prefix.length : 1;
                    this.onInput(e);
                }
            }
        };
        MaskDirective.prototype.onPaste = function () {
            this._position = Number.MAX_SAFE_INTEGER;
        };
        /** It writes the value in the input */
        MaskDirective.prototype.writeValue = function (inputValue) {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    if (inputValue === undefined) {
                        inputValue = '';
                    }
                    if (typeof inputValue === 'number') {
                        inputValue = String(inputValue);
                        this._maskService.isNumberValue = true;
                    }
                    inputValue && this._maskService.maskExpression ||
                        this._maskService.maskExpression && (this._maskService.prefix || this._maskService.showMaskTyped)
                        ? (this._maskService.formElementProperty = [
                            'value',
                            this._maskService.applyMask(inputValue, this._maskService.maskExpression)
                        ])
                        : (this._maskService.formElementProperty = ['value', inputValue]);
                    this._inputValue = inputValue;
                    return [2 /*return*/];
                });
            });
        };
        // tslint:disable-next-line
        MaskDirective.prototype.registerOnChange = function (fn) {
            this.onChange = fn;
            this._maskService.onChange = this.onChange;
        };
        // tslint:disable-next-line
        MaskDirective.prototype.registerOnTouched = function (fn) {
            this.onTouch = fn;
        };
        /** It disables the input element */
        MaskDirective.prototype.setDisabledState = function (isDisabled) {
            this._maskService.formElementProperty = ['disabled', isDisabled];
        };
        MaskDirective.prototype._repeatPatternSymbols = function (maskExp) {
            var _this = this;
            return maskExp.match(/{[0-9]+}/)
                && maskExp.split('')
                    .reduce(function (accum, currval, index) {
                    _this._start = (currval === '{') ? index : _this._start;
                    if (currval !== '}') {
                        return _this._maskService._findSpecialChar(currval) ? accum + currval : accum;
                    }
                    _this._end = index;
                    var repeatNumber = Number(maskExp
                        .slice(_this._start + 1, _this._end));
                    var repaceWith = new Array(repeatNumber + 1)
                        .join(maskExp[_this._start - 1]);
                    return accum + repaceWith;
                }, '') || maskExp;
        };
        var MaskDirective_1;
        MaskDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: MaskService }
        ]; };
        __decorate([
            core.Input('mask'),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], MaskDirective.prototype, "maskExpression", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "specialCharacters", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "patterns", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "prefix", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "sufix", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "dropSpecialCharacters", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "showMaskTyped", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "showTemplate", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], MaskDirective.prototype, "clearIfNotMatch", null);
        __decorate([
            core.HostListener('input', ['$event']),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", [KeyboardEvent]),
            __metadata("design:returntype", void 0)
        ], MaskDirective.prototype, "onInput", null);
        __decorate([
            core.HostListener('blur'),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", []),
            __metadata("design:returntype", void 0)
        ], MaskDirective.prototype, "onBlur", null);
        __decorate([
            core.HostListener('click', ['$event']),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", [Object]),
            __metadata("design:returntype", void 0)
        ], MaskDirective.prototype, "onFocus", null);
        __decorate([
            core.HostListener('keydown', ['$event']),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", [KeyboardEvent]),
            __metadata("design:returntype", void 0)
        ], MaskDirective.prototype, "a", null);
        __decorate([
            core.HostListener('paste'),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", []),
            __metadata("design:returntype", void 0)
        ], MaskDirective.prototype, "onPaste", null);
        MaskDirective = MaskDirective_1 = __decorate([
            core.Directive({
                selector: '[mask]',
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return MaskDirective_1; }),
                        multi: true
                    },
                    MaskService
                ]
            }),
            __param(0, core.Inject(common.DOCUMENT)),
            __metadata("design:paramtypes", [Object, MaskService])
        ], MaskDirective);
        return MaskDirective;
    }());

    var MaskPipe = /** @class */ (function () {
        function MaskPipe(_maskService) {
            this._maskService = _maskService;
        }
        MaskPipe.prototype.transform = function (value, mask) {
            if (!value) {
                return '';
            }
            if (typeof mask === 'string') {
                return this._maskService.applyMask("" + value, mask);
            }
            return this._maskService.applyMaskWithPattern("" + value, mask);
        };
        MaskPipe.ctorParameters = function () { return [
            { type: MaskApplierService }
        ]; };
        MaskPipe = __decorate([
            core.Pipe({
                name: 'mask',
                pure: true
            }),
            __metadata("design:paramtypes", [MaskApplierService])
        ], MaskPipe);
        return MaskPipe;
    }());

    var ɵ0$1 = undefined, ɵ1$1 = initialConfig;
    var NgxMaskModule = /** @class */ (function () {
        function NgxMaskModule() {
        }
        NgxMaskModule = __decorate([
            core.NgModule({
                exports: [MaskDirective, MaskPipe],
                declarations: [MaskDirective, MaskPipe],
                providers: [
                    {
                        provide: NEW_CONFIG,
                        useValue: ɵ0$1
                    },
                    {
                        provide: INITIAL_CONFIG,
                        useValue: ɵ1$1
                    },
                    {
                        provide: config,
                        useFactory: _configFactory,
                        deps: [INITIAL_CONFIG, NEW_CONFIG]
                    },
                    MaskApplierService
                ]
            })
        ], NgxMaskModule);
        return NgxMaskModule;
    }());
    /**
     * @internal
     */
    function _configFactory(initConfig, configValue) {
        return typeof configValue === 'function' ? configValue() : __assign(__assign({}, initConfig), configValue);
    }

    var HlcClrMaskModule = /** @class */ (function () {
        function HlcClrMaskModule() {
        }
        HlcClrMaskModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, forms.FormsModule, NgxMaskModule],
                declarations: [HlcClrMaskComponent],
                exports: [HlcClrMaskComponent]
            })
        ], HlcClrMaskModule);
        return HlcClrMaskModule;
    }());

    var TextMask = /** @class */ (function () {
        function TextMask() {
        }
        TextMask.unmaskStrNumber = function (val) {
            var regex = /[\D|[^.]]+/g;
            return val ? val.replace(regex, '') : null;
        };
        TextMask.unmaskNumber = function (val) {
            var str = TextMask.unmaskStrNumber(val);
            return str ? +str : null;
        };
        TextMask.int = function (n) {
            return ramda.repeat('9', n).join('');
        };
        TextMask.float = function (n, i) {
            return ramda.repeat('9', n).join('') + '.' + ramda.repeat('0', i).join('');
        };
        /*
        static hexColor() {
            const regex = /\d|a|b|c|d|e|f|A|B|C|D|E|F/;
            return ['#', ...R.repeat(regex, 6)];
        }
        */
        TextMask.phone = function () {
            return '+0 (000) 000-0000';
        };
        return TextMask;
    }());

    var monthYearRequiredValidator = function (c) {
        var val = c.value;
        if (!val || ramda.isNil(val.month) || ramda.isNil(val.year)) {
            return { required: true };
        }
        else {
            return null;
        }
    };

    var HlcClrMonthYearSelectComponent = /** @class */ (function () {
        function HlcClrMonthYearSelectComponent(datePipe) {
            this.datePipe = datePipe;
            this.valueChange = new core.EventEmitter();
            //
            this.propagateChange = function (_) { };
        }
        HlcClrMonthYearSelectComponent_1 = HlcClrMonthYearSelectComponent;
        HlcClrMonthYearSelectComponent.onYearChange = function (it) {
            var yfrom = it.yearFrom || 1960;
            var yto = it.yearTo || new Date().getFullYear();
            it.years = ramda.reverse(ramda.range(yfrom, yto + 1).map(function (key) { return ({ key: key, label: key.toString() }); }));
            it.months = ramda.range(0, 11).map(function (key) {
                var date = new Date().setMonth(key);
                return {
                    key: key + 1,
                    label: it.datePipe.transform(date, 'LLLL')
                };
            });
        };
        Object.defineProperty(HlcClrMonthYearSelectComponent.prototype, "yearValue", {
            get: function () {
                return this.value && this.value.year;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrMonthYearSelectComponent.prototype, "monthValue", {
            get: function () {
                return this.value && this.value.month;
            },
            enumerable: true,
            configurable: true
        });
        HlcClrMonthYearSelectComponent.prototype.ngOnInit = function () {
            HlcClrMonthYearSelectComponent_1.onYearChange(this);
        };
        HlcClrMonthYearSelectComponent.prototype.onYearChange = function (year) {
            this.onValueChanged(ramda.assoc('year', year, this.value || {}));
        };
        HlcClrMonthYearSelectComponent.prototype.onMonthChange = function (month) {
            this.onValueChanged(ramda.assoc('month', month, this.value || {}));
        };
        HlcClrMonthYearSelectComponent.prototype.onValueChanged = function (val) {
            this.value = val;
            this.valueChange.emit(val);
            this.propagateChange(val);
        };
        HlcClrMonthYearSelectComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrMonthYearSelectComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrMonthYearSelectComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrMonthYearSelectComponent_1;
        HlcClrMonthYearSelectComponent.ctorParameters = function () { return [
            { type: common.DatePipe }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrMonthYearSelectComponent.prototype, "value", void 0);
        __decorate([
            propertyWatchDecorator.OnChange(HlcClrMonthYearSelectComponent_1.onYearChange),
            core.Input(),
            __metadata("design:type", Number)
        ], HlcClrMonthYearSelectComponent.prototype, "yearFrom", void 0);
        __decorate([
            propertyWatchDecorator.OnChange(HlcClrMonthYearSelectComponent_1.onYearChange),
            core.Input(),
            __metadata("design:type", Number)
        ], HlcClrMonthYearSelectComponent.prototype, "yearTo", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrMonthYearSelectComponent.prototype, "valueChange", void 0);
        HlcClrMonthYearSelectComponent = HlcClrMonthYearSelectComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-month-year-select',
                template: "<hlc-clr-select [items]=\"months\" [value]=\"monthValue\" (valueChange)=\"onMonthChange($event)\"></hlc-clr-select>\r\n<hlc-clr-select [items]=\"years\" [value]=\"yearValue\" (valueChange)=\"onYearChange($event)\"></hlc-clr-select>\r\n",
                providers: [
                    common.DatePipe,
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrMonthYearSelectComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [common.DatePipe])
        ], HlcClrMonthYearSelectComponent);
        return HlcClrMonthYearSelectComponent;
    }());

    var HlcClrMonthYearSelectModule = /** @class */ (function () {
        function HlcClrMonthYearSelectModule() {
        }
        HlcClrMonthYearSelectModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, HlcClrSelectModule],
                declarations: [HlcClrMonthYearSelectComponent],
                exports: [HlcClrMonthYearSelectComponent],
                providers: []
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrMonthYearSelectModule);
        return HlcClrMonthYearSelectModule;
    }());

    var HlcClrMultiSelectComponent = /** @class */ (function () {
        function HlcClrMultiSelectComponent(dictMapperService) {
            var _this = this;
            this.dictMapperService = dictMapperService;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.trackBy = function (_, obj) {
                return _this.mapKey(obj);
            };
        }
        HlcClrMultiSelectComponent_1 = HlcClrMultiSelectComponent;
        HlcClrMultiSelectComponent.prototype.ngOnInit = function () { };
        HlcClrMultiSelectComponent.prototype.onChange = function (val) {
            var _this = this;
            this.value = Array.apply(null, val.target.options)
                .map(function (opt, i) { return [opt, i]; })
                .filter(function (_a) {
                var _b = __read(_a, 1), opt = _b[0];
                return opt.selected;
            })
                .map(function (_a) {
                var _b = __read(_a, 2), _ = _b[0], i = _b[1];
                return _this.mapKey(_this.items[i]);
            });
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrMultiSelectComponent.prototype.isSelected = function (item) {
            var isSelected = ramda.contains(this.mapKey(item), this.value || []);
            return isSelected;
        };
        HlcClrMultiSelectComponent.prototype.mapKey = function (obj) {
            return (this.dictMapper || this.dictMapperService).getKey(obj);
        };
        HlcClrMultiSelectComponent.prototype.mapLabel = function (obj) {
            return (this.dictMapper || this.dictMapperService).getLabel(obj);
        };
        //
        HlcClrMultiSelectComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrMultiSelectComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrMultiSelectComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrMultiSelectComponent_1;
        HlcClrMultiSelectComponent.ctorParameters = function () { return [
            { type: DictMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], HlcClrMultiSelectComponent.prototype, "items", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrMultiSelectComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrMultiSelectComponent.prototype, "dictMapper", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrMultiSelectComponent.prototype, "valueChange", void 0);
        HlcClrMultiSelectComponent = HlcClrMultiSelectComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-multi-select',
                template: "<div class=\"clr-multiselect-wrapper\">\r\n    <select multiple (change)=\"onChange($event)\">\r\n        <option *ngFor=\"let item of items; trackBy: trackBy\" [value]=\"mapKey(item)\" [selected]=\"isSelected(item)\">\r\n            {{ mapLabel(item) }}\r\n        </option>\r\n    </select>\r\n</div>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrMultiSelectComponent_1; }),
                        multi: true
                    }
                ],
                styles: ["select{width:100%}"]
            }),
            __metadata("design:paramtypes", [DictMapperService])
        ], HlcClrMultiSelectComponent);
        return HlcClrMultiSelectComponent;
    }());

    var HlcClrMultiSelectModule = /** @class */ (function () {
        function HlcClrMultiSelectModule() {
        }
        HlcClrMultiSelectModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, forms.ReactiveFormsModule, angular.ClrSelectModule],
                declarations: [HlcClrMultiSelectComponent],
                exports: [HlcClrMultiSelectComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrMultiSelectModule);
        return HlcClrMultiSelectModule;
    }());

    var HlcClrOptionsComponent = /** @class */ (function () {
        function HlcClrOptionsComponent(dictMapper) {
            var _this = this;
            this.dictMapper = dictMapper;
            this.viewType = "simple" /* Simple */;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.trackBy = function (_, obj) {
                return _this.mapKey(obj);
            };
        }
        HlcClrOptionsComponent_1 = HlcClrOptionsComponent;
        HlcClrOptionsComponent.prototype.ngOnInit = function () { };
        HlcClrOptionsComponent.prototype.onChange = function (val) {
            if (this.readonly) {
                return;
            }
            this.value = val || null;
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrOptionsComponent.prototype.isChecked = function (item) {
            return this.mapKey(item) === this.value;
        };
        HlcClrOptionsComponent.prototype.mapKey = function (obj) {
            return this.dictMapper.getKey(obj);
        };
        HlcClrOptionsComponent.prototype.mapLabel = function (obj) {
            return this.dictMapper.getLabel(obj);
        };
        //
        HlcClrOptionsComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrOptionsComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrOptionsComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrOptionsComponent_1;
        HlcClrOptionsComponent.ctorParameters = function () { return [
            { type: DictMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrOptionsComponent.prototype, "viewType", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], HlcClrOptionsComponent.prototype, "items", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrOptionsComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrOptionsComponent.prototype, "readonly", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrOptionsComponent.prototype, "valueChange", void 0);
        HlcClrOptionsComponent = HlcClrOptionsComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-options',
                template: "<ng-container *ngIf=\"viewType === 'simple'; else buttonsView\">\r\n    <clr-radio-wrapper *ngFor=\"let item of items; trackBy: trackBy; let index = index\">\r\n        <input\r\n            [class.disabled]=\"readonly\"\r\n            type=\"radio\"\r\n            clrRadio\r\n            [checked]=\"isChecked(item)\"\r\n            [value]=\"mapKey(item)\"\r\n            (change)=\"onChange($event.target.value)\"\r\n        />\r\n        <label>{{ mapLabel(item) }}</label>\r\n    </clr-radio-wrapper>\r\n</ng-container>\r\n<ng-template #buttonsView>\r\n    <div class=\"btn-group\">\r\n        <div class=\"radio btn\" [class.disabled]=\"readonly\"  *ngFor=\"let item of items; trackBy: trackBy\" (click)=\"onChange(mapKey(item))\">\r\n            <input type=\"radio\" [checked]=\"isChecked(item)\" [value]=\"mapKey(item)\" />\r\n            <label>{{ mapLabel(item) }}</label>\r\n        </div>\r\n    </div>\r\n</ng-template>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrOptionsComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [DictMapperService])
        ], HlcClrOptionsComponent);
        return HlcClrOptionsComponent;
    }());

    var HlcClrOptionsModule = /** @class */ (function () {
        function HlcClrOptionsModule() {
        }
        HlcClrOptionsModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrRadioModule],
                declarations: [HlcClrOptionsComponent],
                exports: [HlcClrOptionsComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrOptionsModule);
        return HlcClrOptionsModule;
    }());

    var HlcClrPairsListComponent = /** @class */ (function () {
        function HlcClrPairsListComponent(dictMapper, dictMapperSetter) {
            this.dictMapper = dictMapper;
            this.dictMapperSetter = dictMapperSetter;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.trackBy = function (i) {
                return i;
            };
        }
        HlcClrPairsListComponent_1 = HlcClrPairsListComponent;
        HlcClrPairsListComponent.prototype.ngOnInit = function () { };
        HlcClrPairsListComponent.prototype.onChangeKey = function (itemIndex, key) {
            var value = this.value || [];
            // this.dictMapperSetter.setKey(value[itemIndex], key);
            this.value = ramda.update(itemIndex, this.dictMapperSetter.setKey(value[itemIndex], key), value);
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrPairsListComponent.prototype.onChangeValue = function (itemIndex, label) {
            var value = this.value || [];
            // this.dictMapperSetter.setLabel(value[itemIndex], label);
            this.value = ramda.update(itemIndex, this.dictMapperSetter.setLabel(value[itemIndex], label), value);
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrPairsListComponent.prototype.onRemove = function (itemIndex) {
            var value = this.value || [];
            this.value = ramda.remove(itemIndex, 1, value);
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrPairsListComponent.prototype.onAdd = function () {
            var _this = this;
            var value = this.value || [];
            var item = ramda.pipe(function (i) { return _this.dictMapperSetter.setKey(i, ''); }, function (i) { return _this.dictMapperSetter.setLabel(i, ''); })({});
            this.value = ramda.insert(0, item, value);
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        HlcClrPairsListComponent.prototype.mapKey = function (obj) {
            return this.dictMapper.getKey(obj);
        };
        HlcClrPairsListComponent.prototype.mapLabel = function (obj) {
            return this.dictMapper.getLabel(obj);
        };
        //
        HlcClrPairsListComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrPairsListComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrPairsListComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrPairsListComponent_1;
        HlcClrPairsListComponent.ctorParameters = function () { return [
            { type: DictMapperService },
            { type: DictMapperSetterService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrPairsListComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrPairsListComponent.prototype, "readonly", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrPairsListComponent.prototype, "valueChange", void 0);
        HlcClrPairsListComponent = HlcClrPairsListComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-pairs-list',
                template: "<button type=\"button\" class=\"btn btn-icon btn-sm btn-secondary\" (click)=\"onAdd()\">\r\n    <clr-icon shape=\"plus\"></clr-icon>Add Item\r\n</button>\r\n<div class=\"clr-row\" *ngFor=\"let item of value; trackBy: trackBy; let index = index\">\r\n    <clr-input-container>\r\n        <input type=\"text\" clrInput [value]=\"mapKey(item)\" (keyup)=\"onChangeKey(index, $event.target.value)\" />\r\n    </clr-input-container>\r\n    <clr-input-container>\r\n        <input type=\"text\" clrInput [value]=\"mapLabel(item)\" (keyup)=\"onChangeValue(index, $event.target.value)\" />\r\n    </clr-input-container>\r\n    <button type=\"button\" class=\"btn btn-icon btn-sm btn-link\" style=\"margin-top: 1rem\" (click)=\"onRemove(index)\">\r\n        <clr-icon shape=\"times\"></clr-icon>\r\n    </button>\r\n</div>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrPairsListComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [DictMapperService,
                DictMapperSetterService])
        ], HlcClrPairsListComponent);
        return HlcClrPairsListComponent;
    }());

    var HlcClrPairsListModule = /** @class */ (function () {
        function HlcClrPairsListModule() {
        }
        HlcClrPairsListModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrInputModule, angular.ClrIconModule],
                declarations: [HlcClrPairsListComponent],
                exports: [HlcClrPairsListComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrPairsListModule);
        return HlcClrPairsListModule;
    }());

    var HlcClrPasswordComponent = /** @class */ (function () {
        function HlcClrPasswordComponent() {
            this.propagateChange = function (_) { };
        }
        HlcClrPasswordComponent_1 = HlcClrPasswordComponent;
        HlcClrPasswordComponent.prototype.ngOnInit = function () { };
        HlcClrPasswordComponent.prototype.onChange = function ($event) {
            this.value = $event.target.value;
            this.propagateChange($event.target.value);
        };
        //
        HlcClrPasswordComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrPasswordComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrPasswordComponent.prototype.registerOnTouched = function (_) { };
        Object.defineProperty(HlcClrPasswordComponent.prototype, "cleanValue", {
            get: function () {
                return ramda.isNil(this.value) ? '' : this.value;
            },
            enumerable: true,
            configurable: true
        });
        var HlcClrPasswordComponent_1;
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrPasswordComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrPasswordComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrPasswordComponent.prototype, "readonly", void 0);
        HlcClrPasswordComponent = HlcClrPasswordComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-password',
                template: "<clr-password-container>\r\n    <input\r\n        class=\"hlc-clr-input\"\r\n        [placeholder]=\"placeholder || ''\"\r\n        [readonly]=\"readonly ? true : undefined\"\r\n        [value]=\"cleanValue\"\r\n        (keyup)=\"onChange($event)\"\r\n        type=\"text\"\r\n        clrPassword\r\n        autocomplete=\"new-password\"\r\n    />\r\n</clr-password-container>\r\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush,
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrPasswordComponent_1; }),
                        multi: true
                    }
                ],
                styles: ["clr-password-container{margin-top:0}"]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrPasswordComponent);
        return HlcClrPasswordComponent;
    }());

    var HlcClrPasswordModule = /** @class */ (function () {
        function HlcClrPasswordModule() {
        }
        HlcClrPasswordModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrPasswordModule],
                declarations: [HlcClrPasswordComponent],
                exports: [HlcClrPasswordComponent]
            })
        ], HlcClrPasswordModule);
        return HlcClrPasswordModule;
    }());

    var HLC_CLR_PHONE_CONFIG = new core.InjectionToken('HLC_CLR_PHONE_CONFIG');
    var defaultPhoneConfig = {
        useParts: 'CountryCodeNumber',
        getCountry: function (val) {
            return val && val[0];
        },
        getCode: function (val) {
            return val && val[1];
        },
        getNumber: function (val) {
            return val && val[2];
        },
        concatValue: function (country, code, number) {
            return [country, code, number];
        }
    };

    var HlcClrPhoneComponent = /** @class */ (function () {
        function HlcClrPhoneComponent(config) {
            this.codeJustFocused = false;
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.config = config || defaultPhoneConfig;
        }
        HlcClrPhoneComponent_1 = HlcClrPhoneComponent;
        HlcClrPhoneComponent.prototype.ngOnInit = function () { };
        Object.defineProperty(HlcClrPhoneComponent.prototype, "useCodePart", {
            get: function () {
                return this.config.useParts === 'CountryCodeNumber';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrPhoneComponent.prototype, "countryPart", {
            get: function () {
                return this.config.getCountry(this.value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrPhoneComponent.prototype, "codePart", {
            get: function () {
                return this.config.getCode && this.config.getCode(this.value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrPhoneComponent.prototype, "numberPart", {
            get: function () {
                return this.config.getNumber(this.value);
            },
            enumerable: true,
            configurable: true
        });
        HlcClrPhoneComponent.prototype.onCountryChange = function (val) {
            if (val === this.countryPart) {
                return;
            }
            this.value = this.config.concatValue(val, this.codePart, this.numberPart);
            this.onChange();
        };
        HlcClrPhoneComponent.prototype.onCodeChange = function (val) {
            if (val === this.codePart) {
                return;
            }
            this.value = this.config.concatValue(this.countryPart, val, this.numberPart);
            this.onChange();
            if (this.codeJustFocused) {
                this.codeJustFocused = false;
                return;
            }
            if (val && val.length === 3) {
                this.numberInput.nativeElement.focus();
            }
        };
        HlcClrPhoneComponent.prototype.onNumberChange = function (val) {
            if (val === this.numberPart) {
                return;
            }
            this.value = this.config.concatValue(this.countryPart, this.codePart, val);
            this.onChange();
        };
        //
        HlcClrPhoneComponent.prototype.onCodeFocus = function () {
            this.codeJustFocused = true;
        };
        //
        HlcClrPhoneComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrPhoneComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrPhoneComponent.prototype.registerOnTouched = function (_) { };
        HlcClrPhoneComponent.prototype.onChange = function () {
            this.valueChange.emit(this.value);
            this.propagateChange(this.value);
        };
        var HlcClrPhoneComponent_1;
        HlcClrPhoneComponent.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [HLC_CLR_PHONE_CONFIG,] }] }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrPhoneComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrPhoneComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrPhoneComponent.prototype, "readonly", void 0);
        __decorate([
            core.ViewChild('numInput', { static: false }),
            __metadata("design:type", core.ElementRef)
        ], HlcClrPhoneComponent.prototype, "numberInput", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrPhoneComponent.prototype, "valueChange", void 0);
        HlcClrPhoneComponent = HlcClrPhoneComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-phone',
                template: "<div *ngIf=\"!readonly; else readOnly\">\r\n    +<input\r\n        class=\"clr-input hlc-clr-input small-input\"\r\n        [value]=\"countryPart\"\r\n        (keyup)=\"onCountryChange($event.target.value)\"\r\n        type=\"text\"\r\n        mask=\"999\"\r\n    />\r\n    <ng-container *ngIf=\"useCodePart\">\r\n        (<input\r\n            class=\"clr-input hlc-clr-input small-input\"\r\n            [value]=\"codePart\"\r\n            (keyup)=\"onCodeChange($event.target.value)\"\r\n            type=\"text\"\r\n            mask=\"999\"\r\n            (focus)=\"onCodeFocus()\"\r\n        />)\r\n    </ng-container>\r\n    <input\r\n        #numInput\r\n        class=\"clr-input hlc-clr-input normal-input\"\r\n        [value]=\"numberPart\"\r\n        (keyup)=\"onNumberChange($event.target.value)\"\r\n        type=\"text\"\r\n        mask=\"9999999\"\r\n    />\r\n</div>\r\n<ng-template #readOnly>\r\n    <span class=\"label-readonly\">\r\n        +{{countryPart}} <ng-container *ngIf=\"useCodePart\">({{codePart}})</ng-container> {{numberPart}}\r\n    </span>\r\n</ng-template>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrPhoneComponent_1; }),
                        multi: true
                    }
                ],
                styles: [".small-input{width:40px;min-width:40px}.normal-input{width:100px;min-width:100px}.label-readonly{color:#000}"]
            }),
            __param(0, core.Optional()), __param(0, core.Inject(HLC_CLR_PHONE_CONFIG)),
            __metadata("design:paramtypes", [Object])
        ], HlcClrPhoneComponent);
        return HlcClrPhoneComponent;
    }());

    var HlcClrPhoneModule = /** @class */ (function () {
        function HlcClrPhoneModule() {
        }
        HlcClrPhoneModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, NgxMaskModule],
                declarations: [HlcClrPhoneComponent],
                exports: [HlcClrPhoneComponent]
            })
        ], HlcClrPhoneModule);
        return HlcClrPhoneModule;
    }());

    var TypeaheadMapperService = /** @class */ (function () {
        function TypeaheadMapperService() {
        }
        TypeaheadMapperService.prototype.getKey = function (item) {
            return item['key'];
        };
        TypeaheadMapperService.prototype.getLabel = function (item) {
            return item['label'];
        };
        TypeaheadMapperService.prototype.getDescription = function (item) {
            return item['label'];
        };
        TypeaheadMapperService.ɵprov = core["ɵɵdefineInjectable"]({ factory: function TypeaheadMapperService_Factory() { return new TypeaheadMapperService(); }, token: TypeaheadMapperService, providedIn: "root" });
        TypeaheadMapperService = __decorate([
            core.Injectable({ providedIn: 'root' })
        ], TypeaheadMapperService);
        return TypeaheadMapperService;
    }());
    var TypeaheadStrMapperService = /** @class */ (function () {
        function TypeaheadStrMapperService() {
        }
        TypeaheadStrMapperService.prototype.getKey = function (item) {
            return item;
        };
        TypeaheadStrMapperService.prototype.getLabel = function (item) {
            return item;
        };
        return TypeaheadStrMapperService;
    }());

    var HlcClrTypeaheadComponent = /** @class */ (function () {
        function HlcClrTypeaheadComponent(mapper) {
            var _this = this;
            this.mapper = mapper;
            this.valueChange = new core.EventEmitter();
            this.addNew = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.getLabel = function (obj) {
                return _this.config && _this.config.mapper ? obj[_this.config.mapper.getLabel(obj)] : _this.mapper.getLabel(obj);
            };
        }
        HlcClrTypeaheadComponent_1 = HlcClrTypeaheadComponent;
        HlcClrTypeaheadComponent.prototype.ngOnInit = function () { };
        HlcClrTypeaheadComponent.prototype.getKey = function (obj) {
            return this.config && this.config.mapper ? this.config.mapper.getKey(obj) : this.mapper.getKey(obj);
        };
        HlcClrTypeaheadComponent.prototype.getDescription = function (obj) {
            return this.config && this.config.mapper && this.config.mapper.getDescription
                ? this.config.mapper.getDescription(obj)
                : this.mapper.getDescription
                    ? this.mapper.getDescription(obj)
                    : null;
        };
        Object.defineProperty(HlcClrTypeaheadComponent.prototype, "search", {
            get: function () {
                return this.config && this.config.search;
            },
            enumerable: true,
            configurable: true
        });
        HlcClrTypeaheadComponent.prototype.onChange = function ($event) {
            this.value = $event;
            this.propagateChange(this.value);
            this.valueChange.emit(this.value);
        };
        HlcClrTypeaheadComponent.prototype.resetValue = function () {
            this.value = undefined;
            this.input.nativeElement.value = '';
        };
        //
        HlcClrTypeaheadComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrTypeaheadComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrTypeaheadComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrTypeaheadComponent_1;
        HlcClrTypeaheadComponent.ctorParameters = function () { return [
            { type: TypeaheadMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTypeaheadComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTypeaheadComponent.prototype, "config", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTypeaheadComponent.prototype, "readonly", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrTypeaheadComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrTypeaheadComponent.prototype, "allowAddNew", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrTypeaheadComponent.prototype, "valueChange", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrTypeaheadComponent.prototype, "addNew", void 0);
        __decorate([
            core.ViewChild('input', { static: false }),
            __metadata("design:type", Object)
        ], HlcClrTypeaheadComponent.prototype, "input", void 0);
        HlcClrTypeaheadComponent = HlcClrTypeaheadComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-typeahead',
                template: "<input\r\n    #input\r\n    type=\"text\"\r\n    [placeholder]=\"placeholder || ''\"\r\n    [hlcTypeahead]=\"search\"\r\n    [value]=\"value\"\r\n    [resultTemplate]=\"result\"\r\n    [resultFormatter]=\"getLabel\"\r\n    [allowAddNew]=\"allowAddNew\"\r\n    (valueChange)=\"onChange($event)\"\r\n    (addNew)=\"addNew.emit($event)\">\r\n<ng-template\r\n    #result\r\n    let-item>\r\n    <span [innerHtml]=\"getLabel(item)\"></span>\r\n    <!--\r\n    <div\r\n        class=\"description\"\r\n        *ngIf=\"getDescription(item)\">\r\n        {{getDescription(item)}}\r\n    </div>\r\n    -->\r\n</ng-template>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrTypeaheadComponent_1; }),
                        multi: true
                    }
                ],
                styles: ["::ng-deep .hlc-typeahead-result-item.active{background-color:#1e90ff;color:#fff}::ng-deep .hlc-typeahead-result-item em{font-weight:700}::ng-deep .hlc-typeahead-results-container{background-color:#fff}.description{color:#a9a9a9;font-size:x-small}"]
            }),
            __metadata("design:paramtypes", [TypeaheadMapperService])
        ], HlcClrTypeaheadComponent);
        return HlcClrTypeaheadComponent;
    }());

    var HlcClrTagsComponent = /** @class */ (function () {
        function HlcClrTagsComponent(dictMapper) {
            var _this = this;
            this.dictMapper = dictMapper;
            this.value$ = new rxjs.BehaviorSubject([]);
            this.showSorted = true;
            this.addNew = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.search = function (args$) {
                return _this.config
                    .search(args$)
                    .pipe(operators.withLatestFrom(_this.value$, function (items, val) { return _this.filterItems(val || [])(items); }));
            };
            this.filterItems = function (excl) { return function (items) {
                return items.filter(function (item) {
                    item = typeahead.cleanupTypeaheadValue(item);
                    return !excl.some(function (i) { return _this.dictMapper.getKey(i) === _this.dictMapper.getKey(item); });
                });
            }; };
        }
        HlcClrTagsComponent_1 = HlcClrTagsComponent;
        Object.defineProperty(HlcClrTagsComponent.prototype, "value", {
            get: function () {
                return this.value$.getValue();
            },
            set: function (val) {
                this.value$.next(val);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrTagsComponent.prototype, "_config", {
            get: function () {
                if (!this.config) {
                    return;
                }
                // modify default search, remove already selected tags
                return __assign(__assign({}, this.config), { search: this.search });
            },
            enumerable: true,
            configurable: true
        });
        HlcClrTagsComponent.prototype.onChange = function ($event) {
            this.value = __spread((this.value || []), [$event]);
            this.typeahead.resetValue();
            this.propagateChange(this.value);
        };
        HlcClrTagsComponent.prototype.onRemove = function (item) {
            this.value = this.filterItem(item, this.value);
            this.propagateChange(this.value);
        };
        HlcClrTagsComponent.prototype.onAddNew = function (text) {
            this.value = __spread((this.value || []), [text]);
            this.typeahead.resetValue();
            this.propagateChange(this.value);
            this.addNew.emit(text);
        };
        Object.defineProperty(HlcClrTagsComponent.prototype, "sortedValue", {
            //
            get: function () {
                var sort = ramda.is(Function, this.showSorted) ? this.showSorted : this.dictMapper.getLabel.bind(this.dictMapper);
                return this.value && ramda.sortBy(sort, this.value);
            },
            enumerable: true,
            configurable: true
        });
        //
        HlcClrTagsComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrTagsComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrTagsComponent.prototype.registerOnTouched = function (_) { };
        //
        HlcClrTagsComponent.prototype.filterItem = function (item, items) {
            var _this = this;
            return items.filter(function (i) { return _this.dictMapper.getKey(i) !== _this.dictMapper.getKey(item); });
        };
        var HlcClrTagsComponent_1;
        HlcClrTagsComponent.ctorParameters = function () { return [
            { type: DictMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Array),
            __metadata("design:paramtypes", [Array])
        ], HlcClrTagsComponent.prototype, "value", null);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTagsComponent.prototype, "config", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTagsComponent.prototype, "readonly", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrTagsComponent.prototype, "allowAddNew", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTagsComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTagsComponent.prototype, "showSorted", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrTagsComponent.prototype, "addNew", void 0);
        __decorate([
            core.ViewChild(HlcClrTypeaheadComponent, { static: false }),
            __metadata("design:type", HlcClrTypeaheadComponent)
        ], HlcClrTagsComponent.prototype, "typeahead", void 0);
        HlcClrTagsComponent = HlcClrTagsComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-tags',
                template: "<hlc-clr-tags-list [items]=\"showSorted ? sortedValue : value\" (remove)=\"onRemove($event)\"></hlc-clr-tags-list>\r\n<hlc-clr-typeahead\r\n    #typeahead\r\n    [config]=\"_config\"\r\n    [placeholder]=\"placeholder\"\r\n    [allowAddNew]=\"allowAddNew\"\r\n    (addNew)=\"onAddNew($event)\"\r\n    (valueChange)=\"onChange($event)\"\r\n></hlc-clr-typeahead>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrTagsComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [DictMapperService])
        ], HlcClrTagsComponent);
        return HlcClrTagsComponent;
    }());

    var HlcClrTagsListComponent = /** @class */ (function () {
        function HlcClrTagsListComponent(dictMapper) {
            this.dictMapper = dictMapper;
            this.remove = new core.EventEmitter();
        }
        HlcClrTagsListComponent.prototype.ngOnInit = function () { };
        HlcClrTagsListComponent.prototype.onRemove = function (item) {
            this.remove.emit(item);
        };
        HlcClrTagsListComponent.prototype.trackById = function (_, item) {
            return this.dictMapper.getKey(item);
        };
        HlcClrTagsListComponent.prototype.getLabel = function (item) {
            return this.dictMapper.getLabel(item);
        };
        HlcClrTagsListComponent.ctorParameters = function () { return [
            { type: DictMapperService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], HlcClrTagsListComponent.prototype, "items", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrTagsListComponent.prototype, "remove", void 0);
        HlcClrTagsListComponent = __decorate([
            core.Component({
                selector: 'hlc-clr-tags-list',
                template: "<ng-container *ngIf=\"items?.length\">\r\n    <div class=\"cat-field__group\">\r\n        <a\r\n            class=\"label label-info clickable tag-item\"\r\n            *ngFor=\"let item of items\"\r\n            (click)=\"onRemove(item)\">\r\n            <clr-icon shape=\"trash\"></clr-icon>\r\n            {{getLabel(item)}}\r\n        </a>\r\n    </div>\r\n</ng-container>\r\n",
                styles: [".cat-field__selector{display:block;margin-top:1rem}.tag-item{margin-bottom:.2rem}"]
            }),
            __metadata("design:paramtypes", [DictMapperService])
        ], HlcClrTagsListComponent);
        return HlcClrTagsListComponent;
    }());

    var HlcClrTagsListModule = /** @class */ (function () {
        function HlcClrTagsListModule() {
        }
        HlcClrTagsListModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, angular.ClrIconModule],
                declarations: [HlcClrTagsListComponent],
                exports: [HlcClrTagsListComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrTagsListModule);
        return HlcClrTagsListModule;
    }());

    var HlcClrTypeaheadModule = /** @class */ (function () {
        function HlcClrTypeaheadModule() {
        }
        HlcClrTypeaheadModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, typeahead.HlcTypeaheadDirectiveModule],
                declarations: [HlcClrTypeaheadComponent],
                exports: [HlcClrTypeaheadComponent],
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrTypeaheadModule);
        return HlcClrTypeaheadModule;
    }());

    var HlcClrTagsModule = /** @class */ (function () {
        function HlcClrTagsModule() {
        }
        HlcClrTagsModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, HlcClrTypeaheadModule, forms.FormsModule, HlcClrTagsListModule],
                declarations: [HlcClrTagsComponent],
                exports: [HlcClrTagsComponent]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrTagsModule);
        return HlcClrTagsModule;
    }());

    var HlcClrTextAreaComponent = /** @class */ (function () {
        function HlcClrTextAreaComponent() {
            this.propagateChange = function (_) { };
        }
        HlcClrTextAreaComponent_1 = HlcClrTextAreaComponent;
        HlcClrTextAreaComponent.prototype.ngOnInit = function () { };
        HlcClrTextAreaComponent.prototype.onChange = function ($event) {
            if (this.value === undefined && !$event.target.value) {
                // when user set first time focus on empty field don't change null -> ''.
                // Behaviour consistent with text component.
                return;
            }
            this.value = $event.target.value;
            this.propagateChange($event.target.value);
        };
        HlcClrTextAreaComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrTextAreaComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrTextAreaComponent.prototype.registerOnTouched = function (_) { };
        Object.defineProperty(HlcClrTextAreaComponent.prototype, "cleanValue", {
            get: function () {
                return ramda.isNil(this.value) ? '' : this.value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrTextAreaComponent.prototype, "leftCounter", {
            get: function () {
                return ramda.isNil(this.maxLength) ? null : this.maxLength - (ramda.isNil(this.value) ? 0 : this.value.length);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrTextAreaComponent.prototype, "counterStyle", {
            get: function () {
                if (ramda.isNil(this.leftCounter)) {
                    return null;
                }
                else if (this.leftCounter < 0) {
                    return 'text-counter-danger';
                }
                else if (!ramda.isNil(this.warningLimit) && !ramda.isNil(this.maxLength) && this.warningLimit > this.leftCounter) {
                    return 'text-counter-warning';
                }
            },
            enumerable: true,
            configurable: true
        });
        var HlcClrTextAreaComponent_1;
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrTextAreaComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrTextAreaComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrTextAreaComponent.prototype, "readonly", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Number)
        ], HlcClrTextAreaComponent.prototype, "rows", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTextAreaComponent.prototype, "maxLength", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTextAreaComponent.prototype, "warningLimit", void 0);
        HlcClrTextAreaComponent = HlcClrTextAreaComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-text-area',
                template: "<div class=\"clr-textarea-wrapper\">\r\n    <textarea\r\n        class=\"clr-textarea\"\r\n        [placeholder]=\"placeholder || ''\"\r\n        [readonly]=\"readonly ? true : undefined\"\r\n        [value]=\"cleanValue\"\r\n        [rows]=\"rows\"\r\n        (keyup)=\"onChange($event)\"\r\n    ></textarea>\r\n    <span *ngIf=\"maxLength\" class=\"text-counter\" [ngClass]=\"counterStyle\">\r\n        <span>{{ maxLength - leftCounter }}</span> / <span>{{maxLength}}</span>\r\n    </span>\r\n</div>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrTextAreaComponent_1; }),
                        multi: true
                    }
                ],
                styles: ["::ng-deep textarea{border-color:#f6f6f6;border-bottom:1px solid #9a9a9a;background-color:transparent}::ng-deep textarea:focus{box-shadow:none;border-bottom:2px solid #0094d2}::ng-deep textarea:-moz-read-only{border-width:0;box-shadow:none!important}::ng-deep textarea:read-only{border-width:0;box-shadow:none!important}"]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrTextAreaComponent);
        return HlcClrTextAreaComponent;
    }());

    var HlcClrTextAreaModule = /** @class */ (function () {
        function HlcClrTextAreaModule() {
        }
        HlcClrTextAreaModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, forms.FormsModule, angular.ClrTextareaModule],
                declarations: [HlcClrTextAreaComponent],
                exports: [HlcClrTextAreaComponent],
                entryComponents: [HlcClrTextAreaComponent]
            })
        ], HlcClrTextAreaModule);
        return HlcClrTextAreaModule;
    }());

    var HlcClrTextComponent = /** @class */ (function () {
        function HlcClrTextComponent() {
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
        }
        HlcClrTextComponent_1 = HlcClrTextComponent;
        HlcClrTextComponent.prototype.ngOnInit = function () { };
        HlcClrTextComponent.prototype.onChange = function ($event) {
            this.value = $event.target.value;
            this.valueChange.emit(this.value);
            this.propagateChange($event.target.value);
        };
        //
        HlcClrTextComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrTextComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrTextComponent.prototype.registerOnTouched = function (_) { };
        Object.defineProperty(HlcClrTextComponent.prototype, "cleanValue", {
            get: function () {
                return ramda.isNil(this.value) ? '' : this.value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrTextComponent.prototype, "leftCounter", {
            get: function () {
                return ramda.isNil(this.maxLength) ? null : this.maxLength - (ramda.isNil(this.value) ? 0 : this.value.length);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(HlcClrTextComponent.prototype, "counterStyle", {
            get: function () {
                if (ramda.isNil(this.leftCounter)) {
                    return null;
                }
                else if (this.leftCounter < 0) {
                    return 'text-counter-danger';
                }
                else if (!ramda.isNil(this.warningLimit) &&
                    !ramda.isNil(this.maxLength) &&
                    this.warningLimit > this.leftCounter) {
                    return 'text-counter-warning';
                }
            },
            enumerable: true,
            configurable: true
        });
        var HlcClrTextComponent_1;
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrTextComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrTextComponent.prototype, "id", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTextComponent.prototype, "placeholder", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTextComponent.prototype, "readonly", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTextComponent.prototype, "maxLength", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrTextComponent.prototype, "warningLimit", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrTextComponent.prototype, "valueChange", void 0);
        HlcClrTextComponent = HlcClrTextComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-text',
                template: "<div class=\"clr-input-wrapper\">\r\n    <input\r\n        class=\"clr-input\"\r\n        [placeholder]=\"placeholder || ''\"\r\n        [readonly]=\"readonly ? true : undefined\"\r\n        [value]=\"cleanValue\"\r\n        (keyup)=\"onChange($event)\"\r\n        type=\"text\"\r\n    />\r\n    <span *ngIf=\"maxLength\" class=\"text-counter\" [ngClass]=\"counterStyle\">\r\n        <span>{{ maxLength - leftCounter }}</span> / <span>{{maxLength}}</span>\r\n    </span>\r\n</div>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrTextComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrTextComponent);
        return HlcClrTextComponent;
    }());

    var HlcClrTextModule = /** @class */ (function () {
        function HlcClrTextModule() {
        }
        HlcClrTextModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule, forms.FormsModule, angular.ClrInputModule],
                declarations: [HlcClrTextComponent],
                exports: [HlcClrTextComponent]
            })
        ], HlcClrTextModule);
        return HlcClrTextModule;
    }());

    var HlcClrToggleComponent = /** @class */ (function () {
        function HlcClrToggleComponent() {
            this.valueChange = new core.EventEmitter();
            this.propagateChange = function (_) { };
            this.id = "toggle_" + HlcClrToggleComponent_1.togglesCount;
            HlcClrToggleComponent_1.togglesCount++;
        }
        HlcClrToggleComponent_1 = HlcClrToggleComponent;
        HlcClrToggleComponent.prototype.ngOnInit = function () { };
        HlcClrToggleComponent.prototype.onChange = function (val) {
            this.value = val;
            this.propagateChange(val);
            this.valueChange.emit(val);
        };
        //
        HlcClrToggleComponent.prototype.writeValue = function (obj) {
            this.value = obj;
        };
        HlcClrToggleComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        HlcClrToggleComponent.prototype.registerOnTouched = function (_) { };
        var HlcClrToggleComponent_1;
        HlcClrToggleComponent.togglesCount = 0;
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], HlcClrToggleComponent.prototype, "text", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], HlcClrToggleComponent.prototype, "value", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], HlcClrToggleComponent.prototype, "readonly", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], HlcClrToggleComponent.prototype, "valueChange", void 0);
        HlcClrToggleComponent = HlcClrToggleComponent_1 = __decorate([
            core.Component({
                selector: 'hlc-clr-toggle',
                template: "<div class=\"clr-toggle-wrapper\">\r\n    <input type=\"checkbox\" [checked]=\"value ? 'checked' : undefined\" (change)=\"onChange($event.target.checked)\" [attr.id]=\"id\" />\r\n    <label [attr.for]=\"id\">{{ text }}</label>\r\n</div>\r\n",
                providers: [
                    {
                        provide: forms.NG_VALUE_ACCESSOR,
                        useExisting: core.forwardRef(function () { return HlcClrToggleComponent_1; }),
                        multi: true
                    }
                ],
                styles: [""]
            }),
            __metadata("design:paramtypes", [])
        ], HlcClrToggleComponent);
        return HlcClrToggleComponent;
    }());

    var HlcClrToggleModule = /** @class */ (function () {
        function HlcClrToggleModule() {
        }
        HlcClrToggleModule = __decorate([
            core.NgModule({
                imports: [common.CommonModule],
                declarations: [HlcClrToggleComponent],
                exports: [HlcClrToggleComponent]
            })
        ], HlcClrToggleModule);
        return HlcClrToggleModule;
    }());

    exports.DATE_CONFIG = DATE_CONFIG;
    exports.DATE_CONVERT_CONFIG = DATE_CONVERT_CONFIG;
    exports.DateConvertService = DateConvertService;
    exports.DictMapperService = DictMapperService;
    exports.DictMapperSetterService = DictMapperSetterService;
    exports.HLC_CLR_PHONE_CONFIG = HLC_CLR_PHONE_CONFIG;
    exports.HlcClrCheckboxesComponent = HlcClrCheckboxesComponent;
    exports.HlcClrCheckboxesModule = HlcClrCheckboxesModule;
    exports.HlcClrDateComponent = HlcClrDateComponent;
    exports.HlcClrDateModule = HlcClrDateModule;
    exports.HlcClrDateRangeComponent = HlcClrDateRangeComponent;
    exports.HlcClrDateRangeModule = HlcClrDateRangeModule;
    exports.HlcClrDateTimeComponent = HlcClrDateTimeComponent;
    exports.HlcClrDateTimeModule = HlcClrDateTimeModule;
    exports.HlcClrDisplayComponent = HlcClrDisplayComponent;
    exports.HlcClrDisplayModule = HlcClrDisplayModule;
    exports.HlcClrMaskComponent = HlcClrMaskComponent;
    exports.HlcClrMaskModule = HlcClrMaskModule;
    exports.HlcClrMonthYearSelectComponent = HlcClrMonthYearSelectComponent;
    exports.HlcClrMonthYearSelectModule = HlcClrMonthYearSelectModule;
    exports.HlcClrMultiSelectComponent = HlcClrMultiSelectComponent;
    exports.HlcClrMultiSelectModule = HlcClrMultiSelectModule;
    exports.HlcClrOptionsComponent = HlcClrOptionsComponent;
    exports.HlcClrOptionsModule = HlcClrOptionsModule;
    exports.HlcClrPairsListComponent = HlcClrPairsListComponent;
    exports.HlcClrPairsListModule = HlcClrPairsListModule;
    exports.HlcClrPasswordComponent = HlcClrPasswordComponent;
    exports.HlcClrPasswordModule = HlcClrPasswordModule;
    exports.HlcClrPhoneComponent = HlcClrPhoneComponent;
    exports.HlcClrPhoneModule = HlcClrPhoneModule;
    exports.HlcClrSelectComponent = HlcClrSelectComponent;
    exports.HlcClrSelectModule = HlcClrSelectModule;
    exports.HlcClrTagsComponent = HlcClrTagsComponent;
    exports.HlcClrTagsModule = HlcClrTagsModule;
    exports.HlcClrTextAreaComponent = HlcClrTextAreaComponent;
    exports.HlcClrTextAreaModule = HlcClrTextAreaModule;
    exports.HlcClrTextComponent = HlcClrTextComponent;
    exports.HlcClrTextModule = HlcClrTextModule;
    exports.HlcClrToggleComponent = HlcClrToggleComponent;
    exports.HlcClrToggleModule = HlcClrToggleModule;
    exports.HlcClrTypeaheadComponent = HlcClrTypeaheadComponent;
    exports.HlcClrTypeaheadModule = HlcClrTypeaheadModule;
    exports.MaskDirective = MaskDirective;
    exports.MaskPipe = MaskPipe;
    exports.MaskService = MaskService;
    exports.NgxMaskModule = NgxMaskModule;
    exports.RangeMapperService = RangeMapperService;
    exports.TextMask = TextMask;
    exports.TypeaheadMapperService = TypeaheadMapperService;
    exports.TypeaheadStrMapperService = TypeaheadStrMapperService;
    exports._configFactory = _configFactory;
    exports.defaultPhoneConfig = defaultPhoneConfig;
    exports.monthYearRequiredValidator = monthYearRequiredValidator;
    exports.ɵ0 = ɵ0;
    exports.ɵ1 = ɵ1;
    exports.ɵa = MaskApplierService;
    exports.ɵc = config;
    exports.ɵd = NEW_CONFIG;
    exports.ɵe = INITIAL_CONFIG;
    exports.ɵf = initialConfig;
    exports.ɵg = HlcClrTagsListModule;
    exports.ɵh = HlcClrTagsListComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-holistic-clr-controls.umd.js.map
