import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DictMapperService } from '../list-items.config';
export interface CheckboxesValues {
    items: any[];
    readonly?: boolean;
}
export declare class HlcClrCheckboxesComponent implements OnInit, ControlValueAccessor, CheckboxesValues {
    private readonly dictMapper;
    items: any[];
    value: string[] | undefined;
    readonly: boolean;
    valueChange: EventEmitter<string[] | undefined>;
    propagateChange: (_: any) => void;
    constructor(dictMapper: DictMapperService);
    ngOnInit(): void;
    onChange(item: any): void;
    isChecked(item: any): boolean | undefined;
    mapKey(obj: any): any;
    mapLabel(obj: any): any;
    trackBy: (_: number, obj: any) => any;
    writeValue(obj: any[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
}
