import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DateConvertService } from '../date-convert.service';
import { DateConfig } from '../date.config';
export interface DateValues {
    readonly?: boolean;
}
export declare class HlcClrDateComponent implements OnInit, OnInit, ControlValueAccessor, DateValues {
    private readonly dateConvertService;
    private readonly dateConfig?;
    value: string | undefined | null;
    format: string | undefined;
    readonly: boolean;
    input: ElementRef<any>;
    valueChange: EventEmitter<string | null | undefined>;
    propagateChange: (_: any) => void;
    constructor(dateConvertService: DateConvertService, dateConfig?: DateConfig | undefined);
    get date(): Date | undefined;
    set date(val: Date | undefined);
    get placeholder(): string | undefined;
    ngOnInit(): void;
    onReset(): void;
    onChange(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
    resetValue(): void;
    private formatToDomainStr;
}
