export declare namespace Mask {
    type MaskTemplate = string | (string | RegExp)[];
    interface MaskOpts {
        mask: MaskTemplate;
        keepCharPositions: boolean;
        placeholderChar: string;
    }
    type MaskValue = MaskTemplate | MaskOpts;
    type UnmaskFun = ((val: string) => any) | undefined;
}
