import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DictMapper, DictMapperService } from '../list-items.config';
export declare class HlcClrSelectComponent implements OnInit, ControlValueAccessor {
    private readonly dictMapperService;
    _items: any[] | undefined;
    _value: any | undefined;
    /**
     * This value has temp val in case in items there is no item for the real value.
     * Items provided after value case.
     */
    _tmpValue: any | undefined;
    set items(items: any[] | undefined);
    get items(): any[] | undefined;
    set value(val: any | null);
    get value(): any | null;
    naked: boolean | undefined;
    disallowEmpty: boolean | undefined;
    readonly: boolean;
    dictMapper: DictMapper | undefined;
    valueChange: EventEmitter<any>;
    propagateChange: (_: any) => void;
    constructor(dictMapperService: DictMapperService);
    ngOnInit(): void;
    onChange(val: any): void;
    mapKey(obj: any): any;
    mapLabel(obj: any): any;
    trackBy: (_: number, obj: any) => any;
    setValue(val: any | null): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
}
